#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_dma_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_free, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create_internal, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_dumb_create, "_gpl", "");
KSYMTAB_DATA(drm_gem_dma_vm_ops, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_print_info, "", "");
KSYMTAB_FUNC(drm_gem_dma_get_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_vmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_mmap, "_gpl", "");
KSYMTAB_FUNC(drm_gem_dma_prime_import_sg_table_vmap, "", "");
KSYMTAB_FUNC(drm_fbdev_dma_driver_fbdev_probe, "", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_obj, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_gem_addr, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_sync_non_coherent, "_gpl", "");
KSYMTAB_FUNC(drm_fb_dma_get_scanout_buffer, "", "");

SYMBOL_CRC(drm_gem_dma_create, 0x74d87be0, "_gpl");
SYMBOL_CRC(drm_gem_dma_free, 0xa2c66bed, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create_internal, 0x8b393714, "_gpl");
SYMBOL_CRC(drm_gem_dma_dumb_create, 0x7fac11fb, "_gpl");
SYMBOL_CRC(drm_gem_dma_vm_ops, 0xda0caa82, "_gpl");
SYMBOL_CRC(drm_gem_dma_print_info, 0x00292306, "");
SYMBOL_CRC(drm_gem_dma_get_sg_table, 0x2de13a7c, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table, 0x95345c7c, "_gpl");
SYMBOL_CRC(drm_gem_dma_vmap, 0x34839170, "_gpl");
SYMBOL_CRC(drm_gem_dma_mmap, 0x3c045f1f, "_gpl");
SYMBOL_CRC(drm_gem_dma_prime_import_sg_table_vmap, 0xd2e13e49, "");
SYMBOL_CRC(drm_fbdev_dma_driver_fbdev_probe, 0xee8cf740, "");
SYMBOL_CRC(drm_fb_dma_get_gem_obj, 0xa97fe27e, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_gem_addr, 0xa4ffcadf, "_gpl");
SYMBOL_CRC(drm_fb_dma_sync_non_coherent, 0x4d649624, "_gpl");
SYMBOL_CRC(drm_fb_dma_get_scanout_buffer, 0xd17bb702, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2bd4b1bc, "drm_client_framebuffer_delete" },
	{ 0xd1e0e3a5, "dma_free_pages" },
	{ 0x247b8904, "drm_client_framebuffer_create" },
	{ 0x3e35f822, "drm_fb_helper_deferred_io" },
	{ 0x68931500, "drm_fb_helper_release_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xc76eb63a, "drm_driver_legacy_fb_format" },
	{ 0x7cebf8b9, "drm_fb_helper_fill_info" },
	{ 0x97c53487, "drm_gem_create_mmap_offset" },
	{ 0x232462ba, "fb_deferred_io_init" },
	{ 0xb5dcc75e, "fb_deferred_io_cleanup" },
	{ 0x8f630fa3, "drm_gem_object_init" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa13da026, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe3107982, "fb_sys_write" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0x5f0527ba, "sys_imageblit" },
	{ 0x28df110d, "drm_atomic_helper_damage_iter_init" },
	{ 0x8ddc774f, "drm_fb_helper_damage_range" },
	{ 0xc2fb9f31, "drm_fb_helper_blank" },
	{ 0x67dd8464, "dma_alloc_pages" },
	{ 0x6681cc1f, "drm_gem_private_object_init" },
	{ 0xa5511969, "drm_fb_helper_check_var" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x780a5bad, "drm_fb_helper_damage_area" },
	{ 0xbcb8b2b7, "sys_fillrect" },
	{ 0xc6fda872, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0xb57555ee, "drm_gem_vm_close" },
	{ 0x5ea7d9f3, "drm_gem_vm_open" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x7dd39cd1, "drm_gem_object_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0x316aef7c, "dma_alloc_attrs" },
	{ 0xdad9c8b1, "drm_prime_get_contiguous_size" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4828945a, "drm_gem_handle_create" },
	{ 0xd041e16e, "drm_gem_fb_get_obj" },
	{ 0x0acab4a3, "__drm_dev_dbg" },
	{ 0x1b7233c4, "fb_deferred_io_mmap" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x54cae675, "drm_fb_helper_pan_display" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0x9e3d55d7, "drm_client_release" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9c9641d0, "sys_copyarea" },
	{ 0xbb3e69f2, "dma_free_attrs" },
	{ 0x4a59a39a, "drm_printf" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xe86f31bc, "__dma_sync_single_for_device" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb3af4d8f, "drm_client_buffer_vunmap" },
	{ 0x9ae0ad29, "fb_sys_read" },
	{ 0xb1011247, "drm_fb_helper_debug_leave" },
	{ 0x074db8ea, "dma_buf_vmap_unlocked" },
	{ 0x66de4522, "dma_mmap_attrs" },
	{ 0xa380bb5d, "dma_get_sgtable_attrs" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x03f73a2c, "drm_fb_helper_ioctl" },
	{ 0x117674ed, "drm_fb_helper_set_par" },
	{ 0xbf2c92d0, "drm_prime_gem_destroy" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x89019d1a, "try_module_get" },
	{ 0x5e45396b, "drm_fb_helper_debug_enter" },
	{ 0x7b857806, "dma_buf_vunmap_unlocked" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0x54845ea4, "drm_client_buffer_vmap" },
	{ 0xd787c667, "drm_fb_helper_setcmap" },
	{ 0xb2883305, "drm_fb_helper_alloc_info" },
	{ 0x77543fa6, "drm_fb_helper_unprepare" },
	{ 0x494e3393, "vm_get_page_prot" },
	{ 0xfd6ffabf, "drm_gem_prime_mmap" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x2b87b43b, "drm_fb_helper_fini" },
	{ 0xba8b8c9e, "dma_mmap_pages" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "8A9447B0C3736203D7647EC");
