#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bnxt_register_dev, "", "");
KSYMTAB_FUNC(bnxt_unregister_dev, "", "");
KSYMTAB_FUNC(bnxt_send_msg, "", "");
KSYMTAB_FUNC(bnxt_register_async_events, "", "");

SYMBOL_CRC(bnxt_register_dev, 0x83c3f5d7, "");
SYMBOL_CRC(bnxt_unregister_dev, 0x79f5718a, "");
SYMBOL_CRC(bnxt_send_msg, 0xc0a3db77, "");
SYMBOL_CRC(bnxt_register_async_events, 0x9345e6d3, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcd4e2961, "pci_read_config_word" },
	{ 0x7cb0dc1f, "napi_enable" },
	{ 0x3f9cab6d, "netif_receive_skb" },
	{ 0x697f3798, "register_netdev" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0xffb7c514, "ida_free" },
	{ 0x204d4cd5, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x1edb69d6, "ktime_get_raw_ts64" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x6186c5e2, "page_pool_put_unrefed_netmem" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x7637c3a0, "netif_set_xps_queue" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8a1c4b9f, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xeff39aad, "flow_keys_dissector" },
	{ 0x63fd4a08, "ethtool_rxfh_context_lost" },
	{ 0x27a71cfd, "pci_iounmap" },
	{ 0xaa5e0e98, "pci_restore_state" },
	{ 0x12e3191a, "netif_tx_wake_queue" },
	{ 0x1f863ef9, "device_del" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x91044af3, "page_pool_create" },
	{ 0x5338184f, "ethtool_sprintf" },
	{ 0xfb578fc5, "memset" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0xe9603f1e, "flow_rule_match_ports" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xe8a4d43f, "ptp_clock_event" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0x2c66ac85, "devlink_info_serial_number_put" },
	{ 0xe6933825, "netif_schedule_queue" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xf27179d4, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xfa618004, "flow_rule_match_ipv6_addrs" },
	{ 0x709d350d, "netdev_set_tc_queue" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x254b4e64, "ptp_clock_unregister" },
	{ 0x04e973a4, "__pskb_pull_tail" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe45045e3, "__netdev_alloc_skb" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x33f4d5c5, "devl_unlock" },
	{ 0x123aee69, "__netif_napi_del_locked" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0xa4c6aefb, "__dynamic_netdev_dbg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe92a5ec2, "dma_set_coherent_mask" },
	{ 0xe4cb2bf4, "pv_ops" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x0274dc2b, "netif_get_num_default_rss_queues" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x60c69018, "net_dim_get_rx_moderation" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xb997ee3d, "rps_may_expire_flow" },
	{ 0x5e4e2360, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x93241cdc, "netdev_reset_tc" },
	{ 0x6e87e781, "neigh_destroy" },
	{ 0xbb3e69f2, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0x54ee650f, "devlink_params_register" },
	{ 0xea335d6e, "crc32_le_arch" },
	{ 0x850bb6db, "devlink_health_reporter_destroy" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc9c4a0fa, "flow_rule_match_enc_ports" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa8ad58cf, "pci_release_regions" },
	{ 0xbee78d41, "netif_queue_set_napi" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xe86f31bc, "__dma_sync_single_for_device" },
	{ 0x0d362972, "bpf_prog_add" },
	{ 0x00aa1603, "xa_find" },
	{ 0x5f25c558, "pcie_print_link_status" },
	{ 0x9cbba226, "flow_rule_match_vlan" },
	{ 0x577abc75, "xdp_rxq_info_unreg" },
	{ 0x039c6441, "page_pool_alloc_pages" },
	{ 0x96d521ec, "napi_build_skb" },
	{ 0xf6f9de0c, "__xdp_rxq_info_reg" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x06b67ec0, "netif_carrier_off" },
	{ 0x2009e400, "devlink_info_board_serial_number_put" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xd950e161, "devlink_priv" },
	{ 0x735839b7, "devlink_port_register_with_ops" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0x465d94a4, "pci_disable_sriov" },
	{ 0x2adb23eb, "tcp_gro_complete" },
	{ 0x55f20d57, "metadata_dst_alloc" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x0f671775, "dst_release" },
	{ 0x9a63f8e1, "netif_carrier_on" },
	{ 0xef07e3e8, "netdev_set_num_tc" },
	{ 0x0373b0d5, "dql_reset" },
	{ 0xddccbda6, "hwmon_device_unregister" },
	{ 0xddc7dfa9, "debugfs_create_file_full" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x43be98a7, "pci_disable_device" },
	{ 0xef45223d, "boot_cpu_data" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x6137b6cd, "devlink_fmsg_string_pair_put" },
	{ 0xa401ffc0, "dma_set_mask" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x450adb7e, "netif_set_tso_max_size" },
	{ 0xfdbcf7ec, "__skb_flow_dissect" },
	{ 0x84c0842b, "pci_msix_alloc_irq_at" },
	{ 0xc84b36d6, "pci_vpd_alloc" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2b4509dd, "devlink_health_reporter_state_update" },
	{ 0x172b0d43, "skb_add_rx_frag_netmem" },
	{ 0x344d8e0c, "xa_find_after" },
	{ 0xbb09fa44, "xdp_master_redirect" },
	{ 0x27bbf221, "disable_irq_nosync" },
	{ 0xf892c457, "napi_schedule_prep" },
	{ 0xa924297d, "devlink_fmsg_pair_nest_end" },
	{ 0x754d539c, "strlen" },
	{ 0xb0a8a09c, "napi_disable" },
	{ 0xb653e1ca, "dev_kfree_skb_any_reason" },
	{ 0x69e3beed, "dcb_ieee_delapp" },
	{ 0xf99cf463, "netdev_notice" },
	{ 0x3d53e1ba, "ethtool_params_from_link_mode" },
	{ 0x0b4a514d, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x72954b2a, "debugfs_create_dir" },
	{ 0x36f00e00, "ptp_schedule_worker" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x1230ebc5, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xe1f831bb, "flow_rule_match_control" },
	{ 0x83e30080, "pci_enable_sriov" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xb26a1add, "elfcorehdr_addr" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xa4a517af, "netdev_core_stats_inc" },
	{ 0x0145f567, "dcb_ieee_setapp" },
	{ 0x862258db, "timecounter_init" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x627ff885, "pci_write_config_dword" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x7751a0c5, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x9bdb5851, "pci_get_dsn" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x87f28e7d, "__tracepoint_xdp_exception" },
	{ 0xc024921b, "napi_alloc_skb" },
	{ 0xcc99f93f, "alloc_etherdev_mqs" },
	{ 0x326d4546, "flow_block_cb_lookup" },
	{ 0xca3b113a, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x7d24ff47, "device_set_wakeup_enable" },
	{ 0x0f2dae23, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b944278, "flow_rule_match_enc_keyid" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x9f1d81f0, "pci_find_ext_capability" },
	{ 0xa47e5c6b, "bpf_prog_put" },
	{ 0x99a628af, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x80bb53cc, "devlink_unregister" },
	{ 0xec1f4c9e, "skb_copy_bits" },
	{ 0x06ab1647, "dma_pool_create" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xcb434493, "pci_wake_from_d3" },
	{ 0xe891714c, "pci_enable_device" },
	{ 0x17ad852b, "skb_put" },
	{ 0xd395e9c7, "skb_tstamp_tx" },
	{ 0x6a76e187, "devlink_fmsg_binary_pair_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xc5234817, "page_pool_alloc_frag" },
	{ 0x6f6c278f, "flow_indr_dev_register" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd4b6157e, "devlink_health_reporter_recovery_done" },
	{ 0x088684a4, "auxiliary_device_init" },
	{ 0x4e73dfa8, "netdev_update_features" },
	{ 0xa408e950, "consume_skb" },
	{ 0xa9f7614c, "pci_iomap" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda0f7e82, "pci_alloc_irq_vectors" },
	{ 0x31435ec4, "ethtool_puts" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdcdfbb9f, "pci_vfs_assigned" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d43a157, "devlink_fmsg_u32_pair_put" },
	{ 0x8d92862e, "devl_lock" },
	{ 0x73c2554f, "__iowrite64_copy" },
	{ 0x38d7d895, "bpf_warn_invalid_xdp_action" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x0d6a32ee, "ndo_dflt_bridge_getlink" },
	{ 0x3b3966ea, "unregister_netdev" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x607c4683, "devlink_info_version_fixed_put" },
	{ 0x52d54fce, "devlink_info_version_stored_put" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfb38dad4, "xdp_features_set_redirect_target" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xd287bbac, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3a552160, "request_firmware" },
	{ 0xdc43b811, "devlink_health_reporter_create" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf7370f56, "system_state" },
	{ 0x712bff69, "hwmon_notify_event" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb464bdab, "__pci_register_driver" },
	{ 0x1a800a49, "devlink_params_unregister" },
	{ 0xf0c0276d, "pci_num_vf" },
	{ 0x7422b0f5, "flow_rule_match_eth_addrs" },
	{ 0xdbcfb1df, "devlink_port_attrs_set" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x82c72299, "ptp_clock_index" },
	{ 0xa100be7a, "pci_request_regions" },
	{ 0x93edef07, "devlink_health_report" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x088c3777, "devlink_alloc_ns" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x4cc5f76c, "devlink_register" },
	{ 0x5e1c982a, "devlink_remote_reload_actions_performed" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0xd422e8d4, "page_pool_destroy" },
	{ 0xdaaf3336, "xdp_do_redirect" },
	{ 0x1bb0485b, "devlink_free" },
	{ 0xef504d2d, "eth_validate_addr" },
	{ 0x81c51d19, "irq_cpu_rmap_add" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x79a894a8, "netif_napi_add_weight_locked" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x79696ab2, "netdev_warn" },
	{ 0x82b46a08, "udp_tunnel_nic_ops" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x6fa04436, "pci_set_power_state" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x47073b29, "pci_irq_vector" },
	{ 0x93b591ed, "flow_rule_match_ipv4_addrs" },
	{ 0xb8af156a, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xef749a55, "pci_ioremap_bar" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x0c3f01c3, "pci_unregister_driver" },
	{ 0xc47038eb, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x954a39a1, "pskb_expand_head" },
	{ 0x389b64a2, "static_key_count" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0x2457bfc8, "devlink_flash_update_status_notify" },
	{ 0xa13da026, "dev_driver_string" },
	{ 0xb65e86a0, "netdev_port_same_parent_id" },
	{ 0x2fa9f94d, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x65d9364b, "xdp_rxq_info_reg_mem_model" },
	{ 0xb1647fc2, "devlink_info_version_running_put" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x2214b219, "ptp_find_pin" },
	{ 0x8087bed5, "eth_type_trans" },
	{ 0xc871e752, "pci_read_config_dword" },
	{ 0x9931c776, "flow_rule_match_icmp" },
	{ 0x29b087da, "ptp_parse_header" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9cec36fd, "dma_map_page_attrs" },
	{ 0xa939184a, "napi_complete_done" },
	{ 0xb4e32191, "dump_stack" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe40bb23e, "devlink_health_reporter_priv" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x209af024, "put_device" },
	{ 0x8ee8543e, "net_dim" },
	{ 0xfbe70181, "__napi_schedule" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xdc43bdc6, "pci_vpd_find_ro_info_keyword" },
	{ 0xa916b694, "strnlen" },
	{ 0x8897d6d6, "flow_rule_match_enc_ipv4_addrs" },
	{ 0xbfd619e6, "netif_device_detach" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc0f5b2b9, "napi_gro_receive" },
	{ 0xf530e9a5, "netif_device_attach" },
	{ 0x2d5ab336, "xdp_features_clear_redirect_target" },
	{ 0xbc3f2cb0, "timecounter_cyc2time" },
	{ 0x31f87219, "flow_indr_dev_unregister" },
	{ 0xa5e5b80c, "eth_get_headlen" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xc9f446f8, "xdp_rxq_info_is_reg" },
	{ 0xea40f83b, "ptp_classify_raw" },
	{ 0xbe45f737, "flow_block_cb_setup_simple" },
	{ 0xb08ff9a2, "pci_msix_can_alloc_dyn" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x30227ac0, "flow_rule_match_basic" },
	{ 0x6f9e763b, "timecounter_read" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xd4afea5d, "free_irq_cpu_rmap" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0xa04e233c, "pci_clear_master" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x81672a07, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xbc829f7d, "pci_msix_free_irq" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0x7919b383, "alloc_cpu_rmap" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x461dfab1, "devlink_fmsg_pair_nest_start" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x79b7fd75, "devlink_port_unregister" },
	{ 0x35363682, "_dev_err" },
	{ 0xd09f4b49, "init_net" },
	{ 0x2e72e113, "softnet_data" },
	{ 0xc15b92cd, "simple_open" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x01c12c32, "cpu_bit_bitmap" },
	{ 0x9e6bcc88, "xdp_return_frame" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xde6092e5, "ptp_clock_register" },
	{ 0xc2832b4e, "hwmon_device_register_with_info" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x96625807, "netif_set_real_num_tx_queues" },
	{ 0xb624b159, "__auxiliary_device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0xadf9b35c, "netif_set_real_num_rx_queues" },
	{ 0x542e6635, "flow_indr_block_cb_alloc" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4a331da5, "vmalloc_noprof" },
	{ 0x38a44574, "page_pool_disable_direct_recycling" },
	{ 0x4b25f89c, "netdev_printk" },
	{ 0x5b4faf00, "dev_close" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcbd94c25, "pci_device_is_present" },
	{ 0x316aef7c, "dma_alloc_attrs" },
	{ 0x187a747c, "debugfs_remove" },
	{ 0x228ba794, "pcie_flr" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v000014E4d00001604sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001605sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001614sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E7sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EAsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016ECsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EEsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016EFsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F0sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016F1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001750sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001751sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001752sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001760sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001761sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001762sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001763sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001800sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001801sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001803sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001805sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D802sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D804sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001606sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001607sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001608sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001609sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016BDsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C2sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C4sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016C5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016CBsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016D3sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016DCsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E1sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E5sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d000016E6sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001806sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001807sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001808sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001809sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d00001819sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000014E4d0000D800sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "5345B9F83B32750690E2836");
