#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xb602c77e, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x35ac1c99, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x4be290de, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0xd5b1c4ec, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xa6f9709c, "__netpoll_setup" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8173a7c0, "unregister_netdevice_queue" },
	{ 0x7a8ee9da, "netdev_upper_dev_unlink" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x2fa9f94d, "dev_addr_mod" },
	{ 0xc3746bf0, "dev_uc_add" },
	{ 0x198cc573, "dev_set_mtu" },
	{ 0x4e73dfa8, "netdev_update_features" },
	{ 0xf5f5612d, "netif_stacked_transfer_operstate" },
	{ 0x15dc10d7, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x93d336e2, "skb_clone" },
	{ 0x0d85dae8, "netif_rx" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x54500253, "__dev_forward_skb" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa408e950, "consume_skb" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xe4cb2bf4, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x5e4e2360, "__dev_queue_xmit" },
	{ 0x1a2b7714, "dev_forward_skb" },
	{ 0x637d5446, "netpoll_send_skb" },
	{ 0xdb18127e, "__netif_rx" },
	{ 0x93479479, "ip_check_defrag" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa4a517af, "netdev_core_stats_inc" },
	{ 0x1b9aaf82, "__dev_get_by_index" },
	{ 0xbddd7a30, "netdev_is_rx_handler_busy" },
	{ 0xb13d2ce7, "netdev_rx_handler_register" },
	{ 0xeaa6569f, "register_netdevice" },
	{ 0x3c618be6, "netdev_upper_dev_link" },
	{ 0x8391a9ba, "linkwatch_fire_event" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x96b65a31, "passthru_features_check" },
	{ 0xef504d2d, "eth_validate_addr" },
	{ 0xbb6675ba, "ndo_dflt_fdb_dump" },
	{ 0x32a1edc5, "ethtool_op_get_link" },
	{ 0xb91bd7db, "eth_header_parse" },
	{ 0xd13d27ee, "eth_header_cache" },
	{ 0xd0b244a2, "eth_header_cache_update" },
	{ 0xa604f51e, "eth_header_parse_protocol" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x40a5803b, "ether_setup" },
	{ 0x456e42bc, "__ethtool_get_link_ksettings" },
	{ 0x9fc3bea7, "ethtool_get_ts_info_by_layer" },
	{ 0xd09f4b49, "init_net" },
	{ 0x83cf2a05, "generic_hwtstamp_set_lower" },
	{ 0xe96dce66, "generic_hwtstamp_get_lower" },
	{ 0x572ef668, "dev_mc_del" },
	{ 0x062d0304, "dev_uc_del" },
	{ 0x42559031, "dev_mc_add_excl" },
	{ 0x0ec93ea4, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0xd76091e5, "__netpoll_free" },
	{ 0xa8680be6, "vlan_vid_del" },
	{ 0x9cd5d1f2, "vlan_vid_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xaf179fee, "dev_uc_sync" },
	{ 0x72e2c9df, "dev_mc_sync" },
	{ 0xed6e1c5e, "dev_set_allmulti" },
	{ 0x35a39a97, "dev_set_promiscuity" },
	{ 0x74bdbede, "dev_uc_unsync" },
	{ 0x30e89058, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xaccfd18d, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x440d3be7, "sk_skb_reason_drop" },
	{ 0x69acdf38, "memcpy" },
	{ 0x024ce406, "dev_set_mac_address" },
	{ 0x037a0cba, "kfree" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xe006532f, "netif_inherit_tso_max" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x19bb15c3, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x2ed9977f, "rtnl_link_unregister" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1F9909715E5021DE87BEA24");
