#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(pcmcia_register_driver, "", "");
KSYMTAB_FUNC(pcmcia_unregister_driver, "", "");
KSYMTAB_FUNC(pcmcia_dev_present, "", "");
KSYMTAB_FUNC(pcmcia_read_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_write_config_byte, "", "");
KSYMTAB_FUNC(pcmcia_map_mem_page, "", "");
KSYMTAB_FUNC(pcmcia_fixup_iowidth, "", "");
KSYMTAB_FUNC(pcmcia_fixup_vpp, "", "");
KSYMTAB_FUNC(pcmcia_release_window, "", "");
KSYMTAB_FUNC(pcmcia_enable_device, "", "");
KSYMTAB_FUNC(pcmcia_request_io, "", "");
KSYMTAB_FUNC(pcmcia_request_irq, "", "");
KSYMTAB_FUNC(pcmcia_request_window, "", "");
KSYMTAB_FUNC(pcmcia_disable_device, "", "");
KSYMTAB_FUNC(pcmcia_parse_tuple, "", "");
KSYMTAB_FUNC(pcmcia_loop_config, "", "");
KSYMTAB_FUNC(pcmcia_loop_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_tuple, "", "");
KSYMTAB_FUNC(pcmcia_get_mac_from_cis, "", "");

SYMBOL_CRC(pcmcia_register_driver, 0x5f9e18dd, "");
SYMBOL_CRC(pcmcia_unregister_driver, 0x0942d61f, "");
SYMBOL_CRC(pcmcia_dev_present, 0xc18b8f5e, "");
SYMBOL_CRC(pcmcia_read_config_byte, 0xb3712e93, "");
SYMBOL_CRC(pcmcia_write_config_byte, 0xf4fea4f4, "");
SYMBOL_CRC(pcmcia_map_mem_page, 0x704f9f2f, "");
SYMBOL_CRC(pcmcia_fixup_iowidth, 0x0a9a1495, "");
SYMBOL_CRC(pcmcia_fixup_vpp, 0x9f48045d, "");
SYMBOL_CRC(pcmcia_release_window, 0x7f8b5f7e, "");
SYMBOL_CRC(pcmcia_enable_device, 0x5d3ee36a, "");
SYMBOL_CRC(pcmcia_request_io, 0x0c2366f7, "");
SYMBOL_CRC(pcmcia_request_irq, 0x0dfabd9a, "");
SYMBOL_CRC(pcmcia_request_window, 0x54a63297, "");
SYMBOL_CRC(pcmcia_disable_device, 0xd4212ed7, "");
SYMBOL_CRC(pcmcia_parse_tuple, 0xbb312663, "");
SYMBOL_CRC(pcmcia_loop_config, 0xc55aa341, "");
SYMBOL_CRC(pcmcia_loop_tuple, 0x3c7c3627, "");
SYMBOL_CRC(pcmcia_get_tuple, 0x19e29006, "");
SYMBOL_CRC(pcmcia_get_mac_from_cis, 0x9d1d300b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xe1902a55, "driver_unregister" },
	{ 0xf55961cf, "class_interface_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xde80cd09, "ioremap" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x61cff4b1, "class_interface_register" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x7d8c337c, "device_register" },
	{ 0x3a5ea7e3, "pcmcia_parse_uevents" },
	{ 0xfb578fc5, "memset" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa911e369, "bus_rescan_devices" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x1ba87830, "_dev_notice" },
	{ 0xea335d6e, "crc32_le_arch" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x22843ba8, "pcmcia_socket_class" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xb00c8c39, "pcmcia_put_socket" },
	{ 0xc5e74216, "release_resource" },
	{ 0x754d539c, "strlen" },
	{ 0x77358855, "iomem_resource" },
	{ 0x7771a6b9, "param_ops_int" },
	{ 0x011d6145, "sysfs_remove_bin_file" },
	{ 0x897bb07c, "driver_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x101b3a60, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x89019d1a, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xeb5be588, "pcmcia_get_socket" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xec300f75, "dev_set_name" },
	{ 0xc9390a42, "driver_remove_file" },
	{ 0x743138b5, "driver_attach" },
	{ 0x73c15135, "device_unregister" },
	{ 0x3a552160, "request_firmware" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xc6aafc02, "sysfs_create_bin_file" },
	{ 0xedc03953, "iounmap" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x323478c8, "get_device" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2fa9f94d, "dev_addr_mod" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x209af024, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x2216b4b8, "driver_create_file" },
	{ 0xb2c070d3, "bus_for_each_dev" },
	{ 0x65afb4f2, "_dev_info" },
	{ 0x127d83ea, "security_locked_down" },
	{ 0x7ddb5dbc, "pccard_register_pcmcia" },
	{ 0xc6fda872, "module_put" },
	{ 0x8f202e20, "bus_unregister" },
	{ 0x35363682, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "pcmcia_core");


MODULE_INFO(srcversion, "1B92392FB7B7C34C1A62744");
