#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x2f5b983b, "");
SYMBOL_CRC(sas_remove_host, 0xdcf14387, "");
SYMBOL_CRC(sas_get_address, 0xcbc916fe, "");
SYMBOL_CRC(sas_tlr_supported, 0x5c96201a, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xca0a5144, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0x6e9aae73, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xb4db227d, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0xbe859b52, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x7a033374, "");
SYMBOL_CRC(sas_phy_add, 0xe6b9024d, "");
SYMBOL_CRC(sas_phy_free, 0xe75b7c30, "");
SYMBOL_CRC(sas_phy_delete, 0xa665378f, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x22e3abbf, "");
SYMBOL_CRC(sas_port_alloc, 0x6c653da2, "");
SYMBOL_CRC(sas_port_alloc_num, 0xd9599c36, "");
SYMBOL_CRC(sas_port_add, 0xb809826e, "");
SYMBOL_CRC(sas_port_free, 0x664832e9, "");
SYMBOL_CRC(sas_port_delete, 0xc3b9e2d5, "");
SYMBOL_CRC(scsi_is_sas_port, 0x9edb8485, "");
SYMBOL_CRC(sas_port_get_phy, 0x5b5768b2, "");
SYMBOL_CRC(sas_port_add_phy, 0xf1c073a4, "");
SYMBOL_CRC(sas_port_delete_phy, 0xb9877a63, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x2e6d1b23, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x89ebbf90, "");
SYMBOL_CRC(sas_end_device_alloc, 0x45988982, "");
SYMBOL_CRC(sas_expander_alloc, 0xb14c842d, "");
SYMBOL_CRC(sas_rphy_add, 0x826a0489, "");
SYMBOL_CRC(sas_rphy_free, 0x5c4dde2a, "");
SYMBOL_CRC(sas_rphy_delete, 0xfebc43e3, "");
SYMBOL_CRC(sas_rphy_unlink, 0x24c73cf4, "");
SYMBOL_CRC(sas_rphy_remove, 0xf5c56b2e, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0x8d9215a9, "");
SYMBOL_CRC(sas_attach_transport, 0x6c84f8a0, "");
SYMBOL_CRC(sas_release_transport, 0x4516e5a8, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xdc5541d3, "attribute_container_register" },
	{ 0xc7ab07c8, "_dev_printk" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x42dd7a8c, "attribute_container_unregister" },
	{ 0x48d9e3a7, "scsi_get_vpd_page" },
	{ 0x31f18be1, "scsi_mode_sense" },
	{ 0xf11d9f13, "scsi_remove_host" },
	{ 0x8942402f, "bsg_remove_queue" },
	{ 0x023c5eb9, "scsi_remove_target" },
	{ 0x4d07fad3, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0x371078ea, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfb78b473, "dma_opt_mapping_size" },
	{ 0x61ec7851, "device_initialize" },
	{ 0xec300f75, "dev_set_name" },
	{ 0x01663760, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3a733a1b, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x209af024, "put_device" },
	{ 0x037a0cba, "kfree" },
	{ 0x1e64aecd, "device_add" },
	{ 0xe23090c8, "transport_add_device" },
	{ 0x4076dbf1, "transport_configure_device" },
	{ 0x1f863ef9, "device_del" },
	{ 0x7e771c2b, "transport_destroy_device" },
	{ 0x211e39f9, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x323478c8, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa6e7ddd1, "sysfs_remove_link" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xb5ae3243, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0xe84807ca, "scsi_scan_target" },
	{ 0x626df719, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x37db1e99, "transport_class_register" },
	{ 0x6b518363, "transport_class_unregister" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");
