#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(wpan_phy_find, "", "");
KSYMTAB_FUNC(wpan_phy_for_each, "", "");
KSYMTAB_FUNC(wpan_phy_new, "", "");
KSYMTAB_FUNC(wpan_phy_register, "", "");
KSYMTAB_FUNC(wpan_phy_unregister, "", "");
KSYMTAB_FUNC(wpan_phy_free, "", "");
KSYMTAB_FUNC(ieee802154_hdr_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_beacon_push, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_mac_cmd_pl_pull, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek_addrs, "_gpl", "");
KSYMTAB_FUNC(ieee802154_hdr_peek, "_gpl", "");
KSYMTAB_FUNC(ieee802154_max_payload, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_event, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_started, "_gpl", "");
KSYMTAB_FUNC(nl802154_scan_done, "_gpl", "");
KSYMTAB_FUNC(nl802154_beaconing_done, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_parent, "_gpl", "");
KSYMTAB_FUNC(cfg802154_device_is_child, "_gpl", "");
KSYMTAB_FUNC(cfg802154_get_free_short_addr, "_gpl", "");
KSYMTAB_FUNC(cfg802154_set_max_associations, "_gpl", "");

SYMBOL_CRC(wpan_phy_find, 0x47fc35e7, "");
SYMBOL_CRC(wpan_phy_for_each, 0x4e01cfb2, "");
SYMBOL_CRC(wpan_phy_new, 0xe32cf735, "");
SYMBOL_CRC(wpan_phy_register, 0xe9277b1d, "");
SYMBOL_CRC(wpan_phy_unregister, 0x9d28e291, "");
SYMBOL_CRC(wpan_phy_free, 0xc91a551c, "");
SYMBOL_CRC(ieee802154_hdr_push, 0x26770a75, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_push, 0x9080104f, "_gpl");
SYMBOL_CRC(ieee802154_beacon_push, 0x3fd1e140, "_gpl");
SYMBOL_CRC(ieee802154_hdr_pull, 0x14070d13, "_gpl");
SYMBOL_CRC(ieee802154_mac_cmd_pl_pull, 0xb2b63004, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek_addrs, 0x469bc283, "_gpl");
SYMBOL_CRC(ieee802154_hdr_peek, 0x13b01fb9, "_gpl");
SYMBOL_CRC(ieee802154_max_payload, 0x87e2553b, "_gpl");
SYMBOL_CRC(nl802154_scan_event, 0x63d05272, "_gpl");
SYMBOL_CRC(nl802154_scan_started, 0x0feb83e7, "_gpl");
SYMBOL_CRC(nl802154_scan_done, 0x19cc5e34, "_gpl");
SYMBOL_CRC(nl802154_beaconing_done, 0x8dd3de64, "_gpl");
SYMBOL_CRC(cfg802154_device_is_parent, 0x019ed2d8, "_gpl");
SYMBOL_CRC(cfg802154_device_is_child, 0x9a9db9a7, "_gpl");
SYMBOL_CRC(cfg802154_get_free_short_addr, 0x64d4a8da, "_gpl");
SYMBOL_CRC(cfg802154_set_max_associations, 0x41b9c57b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9360e2c2, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x7de75a1d, "trace_event_reg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4687146c, "class_unregister" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2d4cca7e, "unregister_pernet_device" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6c47381e, "bpf_trace_run1" },
	{ 0x1f863ef9, "device_del" },
	{ 0x024ce406, "dev_set_mac_address" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x04e973a4, "__pskb_pull_tail" },
	{ 0xb4639938, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x620e954b, "bpf_trace_run3" },
	{ 0x158729e8, "__put_net" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4700214, "get_net_ns_by_pid" },
	{ 0xd372e881, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x32d109d3, "device_match_name" },
	{ 0x18b4ab7e, "dev_get_by_name" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2b57a34d, "genl_unregister_family" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xd615de90, "genl_register_family" },
	{ 0xaa6392a6, "__dev_change_net_namespace" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x892b2691, "register_pernet_device" },
	{ 0xde0415b1, "get_net_ns_by_fd" },
	{ 0xce437b74, "class_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xda30d6a8, "class_find_device" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xf2dfaea2, "bpf_trace_run4" },
	{ 0x17ad852b, "skb_put" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xec300f75, "dev_set_name" },
	{ 0xa519629b, "trace_output_call" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x23f7c0bf, "trace_raw_output_prep" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xa2bfad9f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x847b2a44, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x61ec7851, "device_initialize" },
	{ 0x06aac5c4, "genlmsg_put" },
	{ 0xe1de83c7, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x6769ef81, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x323478c8, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd714b1cf, "netlink_broadcast_filtered" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xaffaf3b7, "device_rename" },
	{ 0x5cf2cf09, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x209af024, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x202ae47f, "__alloc_skb" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x8605928b, "class_for_each_device" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1b9aaf82, "__dev_get_by_index" },
	{ 0xd0419f50, "perf_trace_run_bpf_submit" },
	{ 0xd09f4b49, "init_net" },
	{ 0xb24c27e5, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1e64aecd, "device_add" },
	{ 0x440d3be7, "sk_skb_reason_drop" },
	{ 0x4c532521, "netlink_unicast" },
	{ 0x22f4bd34, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "FF08143A50B94DEF50541BE");
