#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x25c3353f, "");
SYMBOL_CRC(tipc_dump_start, 0x61b1285f, "");
SYMBOL_CRC(tipc_dump_done, 0x8faf5297, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0xe0afc436, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xe4e92fd4, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x3aa3418e, "sock_register" },
	{ 0xe22092c8, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x56554b97, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x202ae47f, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xd3d71bcd, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x68c0d6af, "skb_try_coalesce" },
	{ 0xd426adfc, "proto_register" },
	{ 0x73297cd2, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x76fe997a, "skb_queue_tail" },
	{ 0xc6fda872, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x11e01272, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1b9aaf82, "__dev_get_by_index" },
	{ 0xd0419f50, "perf_trace_run_bpf_submit" },
	{ 0xd09f4b49, "init_net" },
	{ 0xea0a26e1, "ipv6_stub" },
	{ 0xb24c27e5, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x80bb689f, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x440d3be7, "sk_skb_reason_drop" },
	{ 0x4c532521, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7d9b7a07, "__SCK__tp_func_sk_data_ready" },
	{ 0x19fca16e, "dev_remove_pack" },
	{ 0xcae6c167, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x32392de0, "kernel_sock_shutdown" },
	{ 0x1f6fd159, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x9360e2c2, "skb_push" },
	{ 0xe855ca93, "dst_cache_get" },
	{ 0xb640999d, "sock_no_listen" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x7de75a1d, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x83fb874c, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9889c0b7, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2d4cca7e, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x176b2e5f, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xb40ea2dc, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x8518a4a6, "_raw_spin_trylock_bh" },
	{ 0x19150f8f, "sk_alloc" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x93864518, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0x5fe2a6f5, "kfree_skb_partial" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x0a757320, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xf20aec9b, "sock_no_mmap" },
	{ 0x05249152, "security_sk_clone" },
	{ 0x04e973a4, "__pskb_pull_tail" },
	{ 0x0d85dae8, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x2a5ea9ef, "rhashtable_destroy" },
	{ 0x658128b3, "setup_udp_tunnel_sock" },
	{ 0x4c46bfd8, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xb4639938, "skb_trim" },
	{ 0x2f0f73a9, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe4cb2bf4, "pv_ops" },
	{ 0x620e954b, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3f74c2bc, "sock_rfree" },
	{ 0xc52dd0f6, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9a874496, "kernel_listen" },
	{ 0x5e4e2360, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x28839c12, "rhashtable_init_noprof" },
	{ 0xd372e881, "trace_event_buffer_reserve" },
	{ 0x686fc79c, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3f5c9b24, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe7834bf0, "dst_cache_set_ip6" },
	{ 0x9fe0e7e3, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x3ac5d92e, "udp_tunnel_xmit_skb" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x37dc4bc0, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x3e99a20d, "skb_copy" },
	{ 0x93d336e2, "skb_clone" },
	{ 0x18b4ab7e, "dev_get_by_name" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x76cc2ee1, "_copy_from_iter" },
	{ 0x96898830, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x5909b6f0, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xec222a0c, "sk_stop_timer" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x2b57a34d, "genl_unregister_family" },
	{ 0x171fceac, "from_kuid_munged" },
	{ 0x754d539c, "strlen" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xd97f4887, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xd615de90, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xd49982c7, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x94d3f412, "skb_to_sgvec" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0x892b2691, "register_pernet_device" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xbaa151e5, "sock_init_data" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xcc16a357, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x1b43365b, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x08135a58, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf2dfaea2, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x97df36c8, "__nlmsg_put" },
	{ 0x20978fb9, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x17ad852b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x235c1362, "ip6_dst_hoplimit" },
	{ 0xa519629b, "trace_output_call" },
	{ 0xa408e950, "consume_skb" },
	{ 0x8058e830, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x23f7c0bf, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x16060c20, "nla_put_64bit" },
	{ 0xe8876dd2, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xa2bfad9f, "__trace_trigger_soft_disabled" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x847b2a44, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xe349a020, "__ip_dev_find" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xf81ec833, "dst_cache_set_ip4" },
	{ 0xb47f09a3, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x06aac5c4, "genlmsg_put" },
	{ 0x8500bc86, "___pskb_trim" },
	{ 0xe1de83c7, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x48dfed28, "crypto_alloc_aead" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9468b7d1, "__tracepoint_sk_data_ready" },
	{ 0x79696ab2, "netdev_warn" },
	{ 0xd4c822c1, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xec03c12d, "crypto_aead_decrypt" },
	{ 0xef40d26c, "kernel_accept" },
	{ 0x5af36438, "__module_get" },
	{ 0xb8af156a, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xba02079c, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x954a39a1, "pskb_expand_head" },
	{ 0x37e1a9f7, "register_pernet_subsys" },
	{ 0x94f3746b, "put_cmsg" },
	{ 0x8d7d66ba, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x5cf2cf09, "trace_event_buffer_commit" },
	{ 0xae0f8fc8, "register_net_sysctl_sz" },
	{ 0x4cf56747, "crypto_destroy_tfm" },
	{ 0x8087bed5, "eth_type_trans" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "9EFEBD9E9398B7A936C2697");
