#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_use_lock_sync_helper, "", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_lock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_client_ioctl_unlock, "_gpl", "");
KSYMTAB_FUNC(snd_seq_set_queue_tempo, "", "");
KSYMTAB_FUNC(snd_seq_create_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_delete_kernel_client, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_enqueue, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_dispatch, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_ctl, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_write_poll, "", "");
KSYMTAB_FUNC(snd_seq_kernel_client_get, "_gpl", "");
KSYMTAB_FUNC(snd_seq_kernel_client_put, "_gpl", "");
KSYMTAB_FUNC(snd_seq_dump_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event, "", "");
KSYMTAB_FUNC(snd_seq_expand_var_event_at, "_gpl", "");
KSYMTAB_FUNC(snd_seq_system_broadcast, "_gpl", "");
KSYMTAB_FUNC(snd_seq_event_port_attach, "", "");
KSYMTAB_FUNC(snd_seq_event_port_detach, "", "");

SYMBOL_CRC(snd_use_lock_sync_helper, 0x3061c52d, "");
SYMBOL_CRC(snd_seq_client_ioctl_lock, 0xe50413d7, "_gpl");
SYMBOL_CRC(snd_seq_client_ioctl_unlock, 0xadb51cff, "_gpl");
SYMBOL_CRC(snd_seq_set_queue_tempo, 0x3c273904, "");
SYMBOL_CRC(snd_seq_create_kernel_client, 0x411f417e, "");
SYMBOL_CRC(snd_seq_delete_kernel_client, 0x6bb71038, "");
SYMBOL_CRC(snd_seq_kernel_client_enqueue, 0x5218975e, "");
SYMBOL_CRC(snd_seq_kernel_client_dispatch, 0xef293698, "");
SYMBOL_CRC(snd_seq_kernel_client_ctl, 0x1a724fcc, "");
SYMBOL_CRC(snd_seq_kernel_client_write_poll, 0xc36781cd, "");
SYMBOL_CRC(snd_seq_kernel_client_get, 0xf7acf838, "_gpl");
SYMBOL_CRC(snd_seq_kernel_client_put, 0x302cd6d9, "_gpl");
SYMBOL_CRC(snd_seq_dump_var_event, 0xadd4eb09, "");
SYMBOL_CRC(snd_seq_expand_var_event, 0x97ab156b, "");
SYMBOL_CRC(snd_seq_expand_var_event_at, 0xd0083438, "_gpl");
SYMBOL_CRC(snd_seq_system_broadcast, 0x468000cc, "_gpl");
SYMBOL_CRC(snd_seq_event_port_attach, 0x1c8728f9, "");
SYMBOL_CRC(snd_seq_event_port_detach, 0x7b8699eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x175695b8, "snd_timer_pause" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0x3971b4df, "snd_ecards_limit" },
	{ 0x8c7cff29, "snd_unregister_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0xd09156e1, "snd_device_alloc" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x3b6f025c, "snd_timer_instance_new" },
	{ 0x9f76baf4, "_raw_write_unlock_irq" },
	{ 0xfb578fc5, "memset" },
	{ 0x091def1c, "snd_seq_autoload_exit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xd6e13e8a, "snd_timer_instance_free" },
	{ 0x668b19a1, "down_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x965079a6, "seq_printf" },
	{ 0x6339b6d0, "snd_seq_device_load_drivers" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6c9406d0, "stream_open" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x4ee71f56, "pid_vnr" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x7771a6b9, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x1f35505b, "snd_register_device" },
	{ 0x53b954a2, "up_read" },
	{ 0x363fdb13, "put_pid" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x89019d1a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc8152cfb, "snd_info_register" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xec8dd2e5, "snd_info_create_module_entry" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x370a0736, "snd_seq_autoload_init" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0xec300f75, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x4a3ea5c0, "snd_request_card" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x04edd778, "param_array_ops" },
	{ 0xe99a2bbf, "snd_info_free_entry" },
	{ 0xa486f78e, "snd_seq_root" },
	{ 0x8ff03233, "snd_timer_close" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe2964344, "__wake_up" },
	{ 0x00148653, "vsnprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3aca0190, "_raw_write_lock_irq" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xda9f6b94, "snd_timer_open" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x209af024, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x538f2817, "snd_timer_start" },
	{ 0xc6fda872, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xae4b6b4e, "snd_timer_resolution" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "snd-timer,snd,snd-seq-device");


MODULE_INFO(srcversion, "F3353B951DAB0C6D04A1563");
