#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(snd_hda_gen_spec_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_kctl, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_get_path_from_idx, "_gpl", "");
KSYMTAB_FUNC(snd_hda_add_new_path, "_gpl", "");
KSYMTAB_FUNC(snd_hda_activate_path, "_gpl", "");
KSYMTAB_DATA(hda_main_out_badness, "_gpl", "");
KSYMTAB_DATA(hda_extra_out_badness, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_mute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_add_micmute_led_cdev, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_fix_pin_power, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_update_outputs, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_hp_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_line_automute, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_mic_autoswitch, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_path_power_filter, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_stream_pm, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_shutup_speakers, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_parse_auto_config, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_controls, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_build_pcms, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_init, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_free, "_gpl", "");
KSYMTAB_FUNC(snd_hda_gen_check_power_status, "_gpl", "");

SYMBOL_CRC(snd_hda_gen_spec_init, 0x9bd11135, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_kctl, 0xd49db2ef, "_gpl");
SYMBOL_CRC(snd_hda_get_path_idx, 0xfd4c4564, "_gpl");
SYMBOL_CRC(snd_hda_get_path_from_idx, 0x9f2a6d12, "_gpl");
SYMBOL_CRC(snd_hda_add_new_path, 0xbe77c110, "_gpl");
SYMBOL_CRC(snd_hda_activate_path, 0xa60a0ef3, "_gpl");
SYMBOL_CRC(hda_main_out_badness, 0x76dc6871, "_gpl");
SYMBOL_CRC(hda_extra_out_badness, 0x871a6e44, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_mute_led_cdev, 0xcc60a111, "_gpl");
SYMBOL_CRC(snd_hda_gen_add_micmute_led_cdev, 0x97b3a621, "_gpl");
SYMBOL_CRC(snd_hda_gen_fix_pin_power, 0x550e6e4e, "_gpl");
SYMBOL_CRC(snd_hda_gen_update_outputs, 0xcdc79a75, "_gpl");
SYMBOL_CRC(snd_hda_gen_hp_automute, 0x45d03d1a, "_gpl");
SYMBOL_CRC(snd_hda_gen_line_automute, 0x136c61a1, "_gpl");
SYMBOL_CRC(snd_hda_gen_mic_autoswitch, 0x953f0f92, "_gpl");
SYMBOL_CRC(snd_hda_gen_path_power_filter, 0xd6b282cd, "_gpl");
SYMBOL_CRC(snd_hda_gen_stream_pm, 0x5930b06e, "_gpl");
SYMBOL_CRC(snd_hda_gen_shutup_speakers, 0x7e565884, "_gpl");
SYMBOL_CRC(snd_hda_gen_parse_auto_config, 0xb0356beb, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_controls, 0x51fed236, "_gpl");
SYMBOL_CRC(snd_hda_gen_build_pcms, 0xb75952ce, "_gpl");
SYMBOL_CRC(snd_hda_gen_init, 0x53695785, "_gpl");
SYMBOL_CRC(snd_hda_gen_free, 0xb064f20f, "_gpl");
SYMBOL_CRC(snd_hda_gen_check_power_status, 0xcff13b84, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xabed4c02, "snd_hda_sync_vmaster_hook" },
	{ 0x8d173846, "snd_hda_apply_fixup" },
	{ 0xce9c6ddc, "snd_hda_enum_helper_info" },
	{ 0x12e87080, "snd_hda_get_default_vref" },
	{ 0x9a8e1877, "snd_array_free" },
	{ 0x754d539c, "strlen" },
	{ 0x75bd1cc0, "snd_hdac_codec_read" },
	{ 0xab5d2e98, "snd_hda_mixer_amp_volume_put" },
	{ 0xf8dc35ac, "snd_hda_input_mux_info" },
	{ 0x6d5b6f16, "snd_hda_multi_out_dig_prepare" },
	{ 0x349cba85, "strchr" },
	{ 0xf94e5cdc, "snd_hda_codec_get_pin_target" },
	{ 0xf9a482f9, "msleep" },
	{ 0x2ac544c2, "snd_hdac_regmap_sync" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xfaf598c6, "snd_ctl_request_layer" },
	{ 0xc74acaf6, "snd_hda_apply_verbs" },
	{ 0x2a5c959c, "snd_hda_codec_amp_update" },
	{ 0x79abf808, "snd_hda_add_new_ctls" },
	{ 0x2087515c, "snd_hda_get_connections" },
	{ 0xb4b86d1a, "snd_hda_codec_amp_init_stereo" },
	{ 0x337bec36, "snd_hda_set_vmaster_tlv" },
	{ 0x1de0affd, "hda_get_autocfg_input_label" },
	{ 0xa8458607, "query_amp_caps" },
	{ 0xdbd45cd7, "devm_kmalloc" },
	{ 0xbde1ca98, "snd_hda_mixer_amp_volume_info" },
	{ 0x2f21db28, "snd_hdac_regmap_read_raw" },
	{ 0x8a079c30, "snd_hda_jack_detect_state_mst" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x8158e637, "snd_hda_codec_setup_stream" },
	{ 0x6f886a54, "snd_hda_mixer_amp_switch_info" },
	{ 0x0d1c7bbb, "hda_codec_driver_unregister" },
	{ 0xb83c2070, "snd_hda_codec_get_pincfg" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa892b25c, "snd_hdac_codec_write" },
	{ 0x96848186, "scnprintf" },
	{ 0x16210fb2, "snd_hda_jack_tbl_get_mst" },
	{ 0x3a6f381f, "snd_hda_multi_out_dig_open" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd315852d, "snd_hda_add_vmaster_hook" },
	{ 0x037a0cba, "kfree" },
	{ 0x88a91cbf, "led_classdev_unregister" },
	{ 0xca982326, "snd_hda_codec_pcm_new" },
	{ 0x5a1ea2ed, "__snd_hda_codec_cleanup_stream" },
	{ 0x13ed1079, "snd_ctl_sync_vmaster" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xbf1fe212, "snd_hda_multi_out_dig_cleanup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x521a49b9, "snd_hda_get_pin_label" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdbc30fb0, "snd_hda_add_imux_item" },
	{ 0x01fbcfff, "snd_hda_correct_pin_ctl" },
	{ 0x230f982a, "_snd_hdac_read_parm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xa916b694, "strnlen" },
	{ 0xe363ddad, "snd_hda_create_dig_out_ctls" },
	{ 0x19359c4a, "snd_hda_multi_out_dig_close" },
	{ 0xe6b6e1b3, "snd_hda_get_conn_index" },
	{ 0xf3aeec66, "snd_hda_multi_out_analog_open" },
	{ 0xc2916680, "snd_hda_get_bool_hint" },
	{ 0x80b69015, "snd_hda_create_spdif_share_sw" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd75acfac, "snd_hda_find_mixer_ctl" },
	{ 0x15f991a4, "snd_hda_get_int_hint" },
	{ 0x35363682, "_dev_err" },
	{ 0x3f593045, "__hda_codec_driver_register" },
	{ 0xb7c0f443, "sort" },
	{ 0x26670a41, "snd_hda_parse_pin_defcfg" },
	{ 0xebb33183, "snd_hda_codec_amp_init" },
	{ 0x99f01b41, "snd_hda_create_spdif_in_ctls" },
	{ 0x9693a751, "is_jack_detectable" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x1bb5e04b, "snd_hda_multi_out_analog_cleanup" },
	{ 0x85239186, "snd_hda_multi_out_analog_prepare" },
	{ 0xf144e7a4, "snd_ctl_boolean_stereo_info" },
	{ 0x1fe291e4, "snd_hda_get_conn_list" },
	{ 0x640fd039, "snd_hda_mixer_amp_switch_get" },
	{ 0xf0010b12, "snd_hda_codec_set_pin_target" },
	{ 0x870b342d, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xdd075aff, "snd_hda_attach_beep_device" },
	{ 0x1c2dddd3, "_snd_hda_set_pin_ctl" },
	{ 0x11089ac7, "_ctype" },
	{ 0x9bcc814f, "snd_hdac_regmap_write_raw" },
	{ 0xb66670f5, "snd_hda_mixer_amp_volume_get" },
	{ 0xe43cff6f, "snd_hda_jack_detect_enable_callback_mst" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0xb1524bdb, "snd_hda_check_amp_caps" },
	{ 0xf9c0b663, "strlcat" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x79348e54, "snd_hda_mixer_amp_switch_put" },
	{ 0xe118de5d, "snd_pcm_2_1_chmaps" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9dcbd46c, "snd_hda_jack_unsol_event" },
	{ 0x92819722, "snd_hda_check_amp_list_power" },
	{ 0x0676f5ac, "snd_hda_get_input_pin_attr" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf801dc83, "snd_hda_mixer_amp_tlv" },
	{ 0x17308fe7, "snd_hda_jack_add_kctls" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xbe7dd7dc, "snd_array_new" },
	{ 0xb3f589f3, "__snd_hda_add_vmaster" },
	{ 0xaf127963, "snd_hda_codec_amp_stereo" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "snd-hda-codec,snd-hda-core,snd");

MODULE_ALIAS("hdaudio:v00000201r*a01*");

MODULE_INFO(srcversion, "0C63568A6259984F6E3A5C8");
