#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs42l42_readable_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_volatile_register, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_page_range, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_regmap, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_soc_component, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_pll_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_src_config, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_mute_stream, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_DATA(cs42l42_dai, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_irq_thread, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_suspend, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_resume_restore, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_probe, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_init, "_gpl", "SND_SOC_CS42L42_CORE");
KSYMTAB_FUNC(cs42l42_common_remove, "_gpl", "SND_SOC_CS42L42_CORE");

SYMBOL_CRC(cs42l42_readable_register, 0x9cd94bdf, "_gpl");
SYMBOL_CRC(cs42l42_volatile_register, 0xc9e5fd8b, "_gpl");
SYMBOL_CRC(cs42l42_page_range, 0xc053efa9, "_gpl");
SYMBOL_CRC(cs42l42_regmap, 0xa30082a8, "_gpl");
SYMBOL_CRC(cs42l42_soc_component, 0x9ecc18a3, "_gpl");
SYMBOL_CRC(cs42l42_pll_config, 0x8deed0d1, "_gpl");
SYMBOL_CRC(cs42l42_src_config, 0x56d01ddd, "_gpl");
SYMBOL_CRC(cs42l42_mute_stream, 0x49b7a3da, "_gpl");
SYMBOL_CRC(cs42l42_dai, 0x22d34aa2, "_gpl");
SYMBOL_CRC(cs42l42_irq_thread, 0xae4be5c4, "_gpl");
SYMBOL_CRC(cs42l42_suspend, 0x705b2ed9, "_gpl");
SYMBOL_CRC(cs42l42_resume, 0x3c61bbc4, "_gpl");
SYMBOL_CRC(cs42l42_resume_restore, 0x4fffc20c, "_gpl");
SYMBOL_CRC(cs42l42_common_probe, 0xdcfaeb40, "_gpl");
SYMBOL_CRC(cs42l42_init, 0x6db69637, "_gpl");
SYMBOL_CRC(cs42l42_common_remove, 0xbb29439a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3231c08, "snd_soc_jack_report" },
	{ 0x3587fb4e, "gpiod_set_value_cansleep" },
	{ 0xedffb683, "snd_pcm_hw_constraint_minmax" },
	{ 0x137f4abe, "regcache_sync_region" },
	{ 0x8e983f6a, "snd_soc_put_enum_double" },
	{ 0x05b0e64f, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xc8b31acc, "devm_gpiod_get_optional" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4d4eb83, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x132c5280, "regulator_bulk_disable" },
	{ 0xb6d8a33d, "device_property_read_u32_array" },
	{ 0x5c147cb5, "snd_soc_get_enum_double" },
	{ 0x65afb4f2, "_dev_info" },
	{ 0xaad21cb0, "snd_soc_info_volsw" },
	{ 0x20b992a4, "regcache_drop_region" },
	{ 0x35363682, "_dev_err" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3ead03b7, "snd_soc_info_enum_double" },
	{ 0xdab57ad6, "regulator_bulk_enable" },
	{ 0x5571f81a, "devm_regulator_bulk_get" },
	{ 0x68d1b8d7, "snd_soc_get_volsw" },
	{ 0xc2b7235b, "regmap_read" },
	{ 0x51e64f7b, "snd_soc_put_volsw" },
	{ 0x99f019f5, "snd_soc_component_update_bits" },
	{ 0xcde5401e, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x21fa08ca, "regmap_bulk_read" },
	{ 0x968957b0, "device_property_read_bool" },
	{ 0x430a7ed3, "regmap_update_bits_base" },
	{ 0x90e24d9d, "dev_err_probe" },
	{ 0xeb27c209, "regmap_multi_reg_write" },
	{ 0x787927b4, "__pm_runtime_suspend" },
	{ 0x6c456e7b, "snd_soc_tdm_params_to_bclk" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xbe0bc318, "regcache_cache_only" },
	{ 0x7b7e7eaf, "regcache_sync" },
	{ 0x7292653d, "regmap_write" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-pcm");


MODULE_INFO(srcversion, "8DB77C8760919CA0536D6C0");
