#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(ssd130x_variants, "_gpl", "DRM_SSD130X");
KSYMTAB_FUNC(ssd130x_probe, "_gpl", "");
KSYMTAB_FUNC(ssd130x_remove, "_gpl", "");
KSYMTAB_FUNC(ssd130x_shutdown, "_gpl", "");

SYMBOL_CRC(ssd130x_variants, 0x760c3ba6, "_gpl");
SYMBOL_CRC(ssd130x_probe, 0x8dcd9f3d, "_gpl");
SYMBOL_CRC(ssd130x_remove, 0x0a62901d, "_gpl");
SYMBOL_CRC(ssd130x_shutdown, 0x2e25cb49, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3de3e0c3, "drm_mode_probed_add" },
	{ 0x107b04f3, "drm_set_preferred_mode" },
	{ 0x12d704a0, "pwm_put" },
	{ 0x907fb820, "regulator_disable" },
	{ 0xe42f7e79, "pwm_apply_might_sleep" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xe4dcf6d3, "drm_crtc_helper_atomic_check" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0x60915a32, "__drm_atomic_helper_crtc_destroy_state" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x06abf84b, "__drm_atomic_helper_crtc_duplicate_state" },
	{ 0xe97fed40, "drm_dev_enter" },
	{ 0xfb578fc5, "memset" },
	{ 0x5cf503c4, "regmap_bulk_write" },
	{ 0xe8a034df, "drm_dev_exit" },
	{ 0x78de63a3, "drm_atomic_helper_check_plane_state" },
	{ 0xbbdf99f1, "__drm_gem_destroy_shadow_plane_state" },
	{ 0x3aec95c7, "__drm_gem_duplicate_shadow_plane_state" },
	{ 0x48d3fb0f, "drm_dev_unplug" },
	{ 0x7ac58490, "drm_atomic_helper_shutdown" },
	{ 0x84247d5d, "drm_format_conv_state_reserve" },
	{ 0x28df110d, "drm_atomic_helper_damage_iter_init" },
	{ 0x6b5c2b06, "drm_atomic_helper_damage_iter_next" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xd1e4300e, "drm_gem_fb_begin_cpu_access" },
	{ 0x8bc55780, "drm_fb_xrgb8888_to_rgb332" },
	{ 0x92b7162b, "drm_gem_fb_end_cpu_access" },
	{ 0xdf5d9a75, "drm_fb_xrgb8888_to_gray8" },
	{ 0xa13da026, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0x636e3015, "drm_fb_xrgb8888_to_mono" },
	{ 0x3587fb4e, "gpiod_set_value_cansleep" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x83451026, "regulator_enable" },
	{ 0x09616253, "pwm_get" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x9a4108af, "__drm_atomic_helper_crtc_reset" },
	{ 0x7aa658e2, "__drm_gem_reset_shadow_plane" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0xcc53d6ba, "drm_gem_shmem_prime_import_sg_table" },
	{ 0xce57ff94, "drm_gem_shmem_dumb_create" },
	{ 0x0e4dec06, "drm_fbdev_shmem_driver_fbdev_probe" },
	{ 0x51e23dcf, "noop_llseek" },
	{ 0x8e3db9ad, "drm_read" },
	{ 0x006289f8, "drm_poll" },
	{ 0xbe18cb73, "drm_ioctl" },
	{ 0x3e6921cd, "drm_compat_ioctl" },
	{ 0xc277e2a8, "drm_gem_mmap" },
	{ 0x3c03d51a, "drm_open" },
	{ 0x98b08e2c, "drm_release" },
	{ 0x14a6bf22, "drm_gem_fb_create_with_dirty" },
	{ 0xbe86e307, "drm_atomic_helper_check" },
	{ 0x32d3a1af, "drm_atomic_helper_commit" },
	{ 0xfa3d76cd, "drm_atomic_helper_connector_reset" },
	{ 0xd9091c9a, "drm_helper_probe_single_connector_modes" },
	{ 0xb91fd899, "drm_connector_cleanup" },
	{ 0x382b5530, "drm_atomic_helper_connector_duplicate_state" },
	{ 0xea70f2a1, "drm_atomic_helper_connector_destroy_state" },
	{ 0xacd1979a, "drm_encoder_cleanup" },
	{ 0xecbe8cfe, "drm_crtc_cleanup" },
	{ 0x2dec9628, "drm_atomic_helper_set_config" },
	{ 0x3cf094be, "drm_atomic_helper_page_flip" },
	{ 0x3482e10f, "drm_atomic_helper_update_plane" },
	{ 0xf982536c, "drm_atomic_helper_disable_plane" },
	{ 0x6da4a544, "drm_plane_cleanup" },
	{ 0xe5a7d56d, "drm_gem_begin_shadow_fb_access" },
	{ 0xd3283fe7, "drm_gem_end_shadow_fb_access" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7292653d, "regmap_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe28d1a55, "__devm_drm_dev_alloc" },
	{ 0x05abafdd, "device_get_match_data" },
	{ 0xb6d8a33d, "device_property_read_u32_array" },
	{ 0xb7d12c00, "device_property_read_u8_array" },
	{ 0x968957b0, "device_property_read_bool" },
	{ 0xc8b31acc, "devm_gpiod_get_optional" },
	{ 0x92754872, "devm_regulator_get" },
	{ 0x053f0164, "devm_backlight_device_register" },
	{ 0x1cc95482, "drmm_mode_config_init" },
	{ 0x70f6141f, "drm_universal_plane_init" },
	{ 0xe4748e0c, "drm_plane_enable_fb_damage_clips" },
	{ 0xd4298a59, "drm_crtc_init_with_planes" },
	{ 0x901e8333, "drm_encoder_init" },
	{ 0x9c084076, "drm_connector_init" },
	{ 0x95bea5f1, "drm_connector_attach_encoder" },
	{ 0x79c46d63, "drm_mode_config_reset" },
	{ 0x2d563fde, "drm_dev_register" },
	{ 0x985f63e1, "drm_client_setup" },
	{ 0x90e24d9d, "dev_err_probe" },
	{ 0x35363682, "_dev_err" },
	{ 0xd0f7577f, "drm_mode_duplicate" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "824672D4A9A102682610C1B");
