#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(video_device_alloc, "", "");
KSYMTAB_FUNC(video_device_release, "", "");
KSYMTAB_FUNC(video_device_release_empty, "", "");
KSYMTAB_FUNC(video_devdata, "", "");
KSYMTAB_FUNC(v4l2_prio_init, "", "");
KSYMTAB_FUNC(v4l2_prio_change, "", "");
KSYMTAB_FUNC(v4l2_prio_open, "", "");
KSYMTAB_FUNC(v4l2_prio_close, "", "");
KSYMTAB_FUNC(v4l2_prio_max, "", "");
KSYMTAB_FUNC(v4l2_prio_check, "", "");
KSYMTAB_FUNC(__video_register_device, "", "");
KSYMTAB_FUNC(video_unregister_device, "", "");
KSYMTAB_FUNC(v4l2_debugfs_root, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(__video_device_pipeline_stop, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline_alloc_start, "_gpl", "");
KSYMTAB_FUNC(video_device_pipeline, "_gpl", "");
KSYMTAB_FUNC(v4l2_norm_to_name, "", "");
KSYMTAB_FUNC(v4l2_video_std_frame_period, "", "");
KSYMTAB_FUNC(v4l2_video_std_construct, "", "");
KSYMTAB_DATA(v4l2_field_names, "", "");
KSYMTAB_DATA(v4l2_type_names, "", "");
KSYMTAB_FUNC(v4l_printk_ioctl, "", "");
KSYMTAB_FUNC(video_ioctl2, "", "");
KSYMTAB_FUNC(v4l2_device_register, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_disconnect, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev, "_gpl", "");
KSYMTAB_FUNC(__v4l2_device_register_subdev_nodes, "_gpl", "");
KSYMTAB_FUNC(v4l2_device_unregister_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_open, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_del, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_exit, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_release, "_gpl", "");
KSYMTAB_FUNC(v4l2_fh_is_singular, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_dequeue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_queue_fh, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_pending, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_wake_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe_all, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_event_subdev_unsubscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subscribe, "_gpl", "");
KSYMTAB_FUNC(v4l2_src_change_event_subdev_subscribe, "_gpl", "");
KSYMTAB_DATA(v4l2_subdev_call_wrappers, "", "");
KSYMTAB_FUNC(v4l2_subdev_get_fwnode_pad_1_to_1, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate_default, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_link_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_has_pad_interdep, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_alloc, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_free, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_init_finalize, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_format, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_crop, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_compose, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_state_get_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_frame_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing, "_gpl", "");
KSYMTAB_FUNC(__v4l2_subdev_next_active_route, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_set_routing_with_fmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_find_opposite_end, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_get_opposite_stream_format, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_state_xlate_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_routing_validate, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_enable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_disable_streams, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_s_stream_helper, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_init, "", "");
KSYMTAB_FUNC(v4l2_subdev_notify_event, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_is_streaming, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_get_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_subdev_put_privacy_led, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_query_fill, "", "");
KSYMTAB_FUNC(v4l_bound_align_image, "_gpl", "");
KSYMTAB_FUNC(__v4l2_find_nearest_size, "_gpl", "");
KSYMTAB_FUNC(v4l2_g_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_s_parm_cap, "_gpl", "");
KSYMTAB_FUNC(v4l2_format_info, "", "");
KSYMTAB_FUNC(v4l2_apply_frmsize_constraints, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt_mp, "_gpl", "");
KSYMTAB_FUNC(v4l2_fill_pixfmt, "_gpl", "");
KSYMTAB_FUNC(v4l2_get_link_freq, "_gpl", "");
KSYMTAB_FUNC(v4l2_simplify_fraction, "_gpl", "");
KSYMTAB_FUNC(v4l2_fraction_to_interval, "_gpl", "");
KSYMTAB_FUNC(v4l2_link_freq_to_bitmap, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_equal, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_init, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_log, "", "");
KSYMTAB_FUNC(v4l2_ctrl_type_op_validate, "", "");
KSYMTAB_FUNC(v4l2_ctrl_notify, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_init_class, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_free, "", "");
KSYMTAB_FUNC(v4l2_ctrl_find, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_custom, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_menu_items, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_std_compound, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_add_handler, "", "");
KSYMTAB_FUNC(v4l2_ctrl_radio_filter, "", "");
KSYMTAB_FUNC(v4l2_ctrl_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_auto_cluster, "", "");
KSYMTAB_FUNC(v4l2_ctrl_activate, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_grab, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_handler_setup, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_handler_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_new_fwnode_properties, "", "");
KSYMTAB_FUNC(v4l2_g_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_try_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_s_ext_ctrls, "", "");
KSYMTAB_FUNC(v4l2_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_s_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl, "", "");
KSYMTAB_FUNC(v4l2_ctrl_g_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_int64, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_string, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_s_ctrl_compound, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_range, "", "");
KSYMTAB_FUNC(__v4l2_ctrl_modify_dimensions, "", "");
KSYMTAB_FUNC(v4l2_query_ext_ctrl, "", "");
KSYMTAB_FUNC(v4l2_queryctrl, "", "");
KSYMTAB_FUNC(v4l2_querymenu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_log_status, "", "");
KSYMTAB_FUNC(v4l2_ctrl_replace, "", "");
KSYMTAB_FUNC(v4l2_ctrl_merge, "", "");
KSYMTAB_DATA(v4l2_ctrl_sub_ev_ops, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_subdev_subscribe_event, "", "");
KSYMTAB_FUNC(v4l2_ctrl_poll, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_hdl_ctrl_find, "_gpl", "");
KSYMTAB_FUNC(v4l2_ctrl_request_complete, "", "");
KSYMTAB_FUNC(v4l2_ctrl_request_setup, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_int_menu, "", "");
KSYMTAB_FUNC(v4l2_ctrl_get_name, "", "");
KSYMTAB_FUNC(v4l2_ctrl_fill, "", "");
KSYMTAB_FUNC(v4l2_compat_ioctl32, "_gpl", "");
KSYMTAB_FUNC(v4l2_mc_create_media_graph, "_gpl", "");
KSYMTAB_FUNC(v4l_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_disable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l_vb2q_enable_media_source, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links_to_pad, "_gpl", "");
KSYMTAB_FUNC(v4l2_create_fwnode_links, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_get, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_pm_put, "_gpl", "");
KSYMTAB_FUNC(v4l2_pipeline_link_notify, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_spi_new_subdev, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_done, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_buf_queue, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_dqbuf, "_gpl", "");
KSYMTAB_DATA(__tracepoint_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__traceiter_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_vb2_v4l2_qbuf, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_set_name, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev_board, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_new_subdev, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_subdev_addr, "_gpl", "");
KSYMTAB_FUNC(v4l2_i2c_tuner_addrs, "_gpl", "");

SYMBOL_CRC(video_device_alloc, 0x0aa94f14, "");
SYMBOL_CRC(video_device_release, 0xb3b84112, "");
SYMBOL_CRC(video_device_release_empty, 0x1a01b7b5, "");
SYMBOL_CRC(video_devdata, 0x0b587c38, "");
SYMBOL_CRC(v4l2_prio_init, 0xb77b0159, "");
SYMBOL_CRC(v4l2_prio_change, 0x3bdd0f94, "");
SYMBOL_CRC(v4l2_prio_open, 0x2342f1ae, "");
SYMBOL_CRC(v4l2_prio_close, 0xcda04a5b, "");
SYMBOL_CRC(v4l2_prio_max, 0x8106095a, "");
SYMBOL_CRC(v4l2_prio_check, 0x16244fe5, "");
SYMBOL_CRC(__video_register_device, 0xb3aa6a46, "");
SYMBOL_CRC(video_unregister_device, 0x4d4d3d13, "");
SYMBOL_CRC(v4l2_debugfs_root, 0x8b8ad5e5, "_gpl");
SYMBOL_CRC(video_device_pipeline_start, 0xd2f05f15, "_gpl");
SYMBOL_CRC(__video_device_pipeline_start, 0xda4cf0fa, "_gpl");
SYMBOL_CRC(video_device_pipeline_stop, 0x61939c8e, "_gpl");
SYMBOL_CRC(__video_device_pipeline_stop, 0x243a8d12, "_gpl");
SYMBOL_CRC(video_device_pipeline_alloc_start, 0x337c8ad4, "_gpl");
SYMBOL_CRC(video_device_pipeline, 0x43d1e2ac, "_gpl");
SYMBOL_CRC(v4l2_norm_to_name, 0xf3251e7b, "");
SYMBOL_CRC(v4l2_video_std_frame_period, 0x0614dd5a, "");
SYMBOL_CRC(v4l2_video_std_construct, 0xe2b92059, "");
SYMBOL_CRC(v4l2_field_names, 0x3adbd595, "");
SYMBOL_CRC(v4l2_type_names, 0x123959a1, "");
SYMBOL_CRC(v4l_printk_ioctl, 0xbc5671dc, "");
SYMBOL_CRC(video_ioctl2, 0x8d5f759b, "");
SYMBOL_CRC(v4l2_device_register, 0xd74b14cf, "_gpl");
SYMBOL_CRC(v4l2_device_put, 0xef92a384, "_gpl");
SYMBOL_CRC(v4l2_device_set_name, 0x5acb2837, "_gpl");
SYMBOL_CRC(v4l2_device_disconnect, 0xc08ea68e, "_gpl");
SYMBOL_CRC(v4l2_device_unregister, 0x5f248797, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev, 0xacbe1acd, "_gpl");
SYMBOL_CRC(__v4l2_device_register_subdev_nodes, 0x9bdf52f5, "_gpl");
SYMBOL_CRC(v4l2_device_unregister_subdev, 0xe33205f1, "_gpl");
SYMBOL_CRC(v4l2_fh_init, 0x6eec8b01, "_gpl");
SYMBOL_CRC(v4l2_fh_add, 0xfb99e056, "_gpl");
SYMBOL_CRC(v4l2_fh_open, 0x7245b73a, "_gpl");
SYMBOL_CRC(v4l2_fh_del, 0x3ef2862a, "_gpl");
SYMBOL_CRC(v4l2_fh_exit, 0xa4c8e845, "_gpl");
SYMBOL_CRC(v4l2_fh_release, 0x929f118d, "_gpl");
SYMBOL_CRC(v4l2_fh_is_singular, 0x6b07b898, "_gpl");
SYMBOL_CRC(v4l2_event_dequeue, 0x38799acc, "_gpl");
SYMBOL_CRC(v4l2_event_queue, 0x5ac9b592, "_gpl");
SYMBOL_CRC(v4l2_event_queue_fh, 0x33b1c5fd, "_gpl");
SYMBOL_CRC(v4l2_event_pending, 0x3de5fbc0, "_gpl");
SYMBOL_CRC(v4l2_event_wake_all, 0x73fc77df, "_gpl");
SYMBOL_CRC(v4l2_event_subscribe, 0x49f6b409, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe_all, 0xf6d1137d, "_gpl");
SYMBOL_CRC(v4l2_event_unsubscribe, 0xdc00318b, "_gpl");
SYMBOL_CRC(v4l2_event_subdev_unsubscribe, 0xbacbf982, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subscribe, 0x2508d101, "_gpl");
SYMBOL_CRC(v4l2_src_change_event_subdev_subscribe, 0xb68303a4, "_gpl");
SYMBOL_CRC(v4l2_subdev_call_wrappers, 0x250670b1, "");
SYMBOL_CRC(v4l2_subdev_get_fwnode_pad_1_to_1, 0x8f7f2ec6, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate_default, 0xbcec54b6, "_gpl");
SYMBOL_CRC(v4l2_subdev_link_validate, 0x367efb3c, "_gpl");
SYMBOL_CRC(v4l2_subdev_has_pad_interdep, 0x9cbc9be7, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_alloc, 0x76205ac1, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_free, 0xf33f7401, "_gpl");
SYMBOL_CRC(__v4l2_subdev_init_finalize, 0x71573276, "_gpl");
SYMBOL_CRC(v4l2_subdev_cleanup, 0x06ca0136, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_format, 0xe0ef7985, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_crop, 0x4ede0968, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_compose, 0xe8f6c460, "_gpl");
SYMBOL_CRC(__v4l2_subdev_state_get_interval, 0xe9ee1488, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_fmt, 0x6dfdf40f, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_frame_interval, 0xc5de21f2, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing, 0x006c162f, "_gpl");
SYMBOL_CRC(__v4l2_subdev_next_active_route, 0x180f326c, "_gpl");
SYMBOL_CRC(v4l2_subdev_set_routing_with_fmt, 0xeaf29d3d, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_find_opposite_end, 0x2776e4eb, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_get_opposite_stream_format, 0x967a34bf, "_gpl");
SYMBOL_CRC(v4l2_subdev_state_xlate_streams, 0x71890bc7, "_gpl");
SYMBOL_CRC(v4l2_subdev_routing_validate, 0x62ef14a2, "_gpl");
SYMBOL_CRC(v4l2_subdev_enable_streams, 0xadf4b6ad, "_gpl");
SYMBOL_CRC(v4l2_subdev_disable_streams, 0x74fdc114, "_gpl");
SYMBOL_CRC(v4l2_subdev_s_stream_helper, 0x8826eb16, "_gpl");
SYMBOL_CRC(v4l2_subdev_init, 0xc0998ad2, "");
SYMBOL_CRC(v4l2_subdev_notify_event, 0xdaf272df, "_gpl");
SYMBOL_CRC(v4l2_subdev_is_streaming, 0x0a164a7f, "_gpl");
SYMBOL_CRC(v4l2_subdev_get_privacy_led, 0xa4de3a4f, "_gpl");
SYMBOL_CRC(v4l2_subdev_put_privacy_led, 0x93fdc23a, "_gpl");
SYMBOL_CRC(v4l2_ctrl_query_fill, 0x89e3897d, "");
SYMBOL_CRC(v4l_bound_align_image, 0xf5ef842e, "_gpl");
SYMBOL_CRC(__v4l2_find_nearest_size, 0xe2822320, "_gpl");
SYMBOL_CRC(v4l2_g_parm_cap, 0xa8e37cb2, "_gpl");
SYMBOL_CRC(v4l2_s_parm_cap, 0x8f04bbcb, "_gpl");
SYMBOL_CRC(v4l2_format_info, 0x35ff98bf, "");
SYMBOL_CRC(v4l2_apply_frmsize_constraints, 0x9fef35ac, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt_mp, 0x6e9acc41, "_gpl");
SYMBOL_CRC(v4l2_fill_pixfmt, 0xcc501597, "_gpl");
SYMBOL_CRC(v4l2_get_link_freq, 0x0c8f8999, "_gpl");
SYMBOL_CRC(v4l2_simplify_fraction, 0xad5c3c93, "_gpl");
SYMBOL_CRC(v4l2_fraction_to_interval, 0x5074e573, "_gpl");
SYMBOL_CRC(v4l2_link_freq_to_bitmap, 0xcf97b0d9, "_gpl");
SYMBOL_CRC(v4l2_ctrl_type_op_equal, 0x862769b7, "");
SYMBOL_CRC(v4l2_ctrl_type_op_init, 0xbd1b8117, "");
SYMBOL_CRC(v4l2_ctrl_type_op_log, 0xf151724b, "");
SYMBOL_CRC(v4l2_ctrl_type_op_validate, 0xa3416097, "");
SYMBOL_CRC(v4l2_ctrl_notify, 0x020e3a10, "");
SYMBOL_CRC(v4l2_ctrl_handler_init_class, 0x9dd67e65, "");
SYMBOL_CRC(v4l2_ctrl_handler_free, 0xf8b44c29, "");
SYMBOL_CRC(v4l2_ctrl_find, 0x72d42008, "");
SYMBOL_CRC(v4l2_ctrl_new_custom, 0xaf2e2041, "");
SYMBOL_CRC(v4l2_ctrl_new_std, 0x580489c9, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu, 0xa9782111, "");
SYMBOL_CRC(v4l2_ctrl_new_std_menu_items, 0x49e491d8, "");
SYMBOL_CRC(v4l2_ctrl_new_std_compound, 0xb73c5784, "");
SYMBOL_CRC(v4l2_ctrl_new_int_menu, 0x32624863, "");
SYMBOL_CRC(v4l2_ctrl_add_handler, 0xe5b092de, "");
SYMBOL_CRC(v4l2_ctrl_radio_filter, 0x2a9a9bc6, "");
SYMBOL_CRC(v4l2_ctrl_cluster, 0xe6a32455, "");
SYMBOL_CRC(v4l2_ctrl_auto_cluster, 0xe0bd8f6f, "");
SYMBOL_CRC(v4l2_ctrl_activate, 0xdee21718, "");
SYMBOL_CRC(__v4l2_ctrl_grab, 0x54d0238d, "");
SYMBOL_CRC(__v4l2_ctrl_handler_setup, 0x7d59ea37, "_gpl");
SYMBOL_CRC(v4l2_ctrl_handler_setup, 0xb7000f2d, "");
SYMBOL_CRC(v4l2_ctrl_handler_log_status, 0xccf71704, "");
SYMBOL_CRC(v4l2_ctrl_new_fwnode_properties, 0x95c4f74b, "");
SYMBOL_CRC(v4l2_g_ext_ctrls, 0x1198c247, "");
SYMBOL_CRC(v4l2_try_ext_ctrls, 0xdcfe68d9, "");
SYMBOL_CRC(v4l2_s_ext_ctrls, 0x2f7b1dc5, "");
SYMBOL_CRC(v4l2_g_ctrl, 0x5446e958, "");
SYMBOL_CRC(v4l2_s_ctrl, 0x26841396, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl, 0xaa26e5c7, "");
SYMBOL_CRC(v4l2_ctrl_g_ctrl_int64, 0xa46c4a34, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl, 0x5b18fc43, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_int64, 0x7bba18e9, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_string, 0x311d667d, "");
SYMBOL_CRC(__v4l2_ctrl_s_ctrl_compound, 0xec246766, "");
SYMBOL_CRC(__v4l2_ctrl_modify_range, 0x226e3bd3, "");
SYMBOL_CRC(__v4l2_ctrl_modify_dimensions, 0xe94c55f6, "");
SYMBOL_CRC(v4l2_query_ext_ctrl, 0x7c7e1381, "");
SYMBOL_CRC(v4l2_queryctrl, 0x7d19893f, "");
SYMBOL_CRC(v4l2_querymenu, 0x9b493412, "");
SYMBOL_CRC(v4l2_ctrl_log_status, 0x8801d742, "");
SYMBOL_CRC(v4l2_ctrl_subdev_log_status, 0x66d25a0f, "");
SYMBOL_CRC(v4l2_ctrl_replace, 0xf50fecbc, "");
SYMBOL_CRC(v4l2_ctrl_merge, 0x082737e8, "");
SYMBOL_CRC(v4l2_ctrl_sub_ev_ops, 0x36fd058b, "");
SYMBOL_CRC(v4l2_ctrl_subscribe_event, 0x3be6a1d1, "");
SYMBOL_CRC(v4l2_ctrl_subdev_subscribe_event, 0xab5c35eb, "");
SYMBOL_CRC(v4l2_ctrl_poll, 0x7bd96e8b, "");
SYMBOL_CRC(v4l2_ctrl_request_hdl_find, 0x762a7f0d, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_hdl_ctrl_find, 0xafdcd8df, "_gpl");
SYMBOL_CRC(v4l2_ctrl_request_complete, 0x875aa723, "");
SYMBOL_CRC(v4l2_ctrl_request_setup, 0x11319751, "");
SYMBOL_CRC(v4l2_ctrl_get_menu, 0x315de2cf, "");
SYMBOL_CRC(v4l2_ctrl_get_int_menu, 0xd16d9c01, "");
SYMBOL_CRC(v4l2_ctrl_get_name, 0x32d43420, "");
SYMBOL_CRC(v4l2_ctrl_fill, 0x3b86cd9a, "");
SYMBOL_CRC(v4l2_compat_ioctl32, 0xe749e68c, "_gpl");
SYMBOL_CRC(v4l2_mc_create_media_graph, 0xd58cd359, "_gpl");
SYMBOL_CRC(v4l_enable_media_source, 0x44e2fea5, "_gpl");
SYMBOL_CRC(v4l_disable_media_source, 0x6f3f485f, "_gpl");
SYMBOL_CRC(v4l_vb2q_enable_media_source, 0x81f19fcd, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links_to_pad, 0x252e0ce3, "_gpl");
SYMBOL_CRC(v4l2_create_fwnode_links, 0xdc970fc3, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_get, 0x5d972909, "_gpl");
SYMBOL_CRC(v4l2_pipeline_pm_put, 0xf835be03, "_gpl");
SYMBOL_CRC(v4l2_pipeline_link_notify, 0x2f0a20f0, "_gpl");
SYMBOL_CRC(v4l2_spi_subdev_init, 0xe4f5b884, "_gpl");
SYMBOL_CRC(v4l2_spi_new_subdev, 0x81c9ea7f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_done, 0x5b27e780, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_done, 0x07a39e6c, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_done, 0x8610353c, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_done, 0xa1893d14, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_buf_queue, 0x3bede8b8, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_buf_queue, 0xe02a019a, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_buf_queue, 0xf9e720cd, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_buf_queue, 0xc8dd867f, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_dqbuf, 0x5c864bbf, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_dqbuf, 0xde8a82bd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_dqbuf, 0x798251ea, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_dqbuf, 0xd541e31a, "_gpl");
SYMBOL_CRC(__tracepoint_vb2_v4l2_qbuf, 0x37de3bfc, "_gpl");
SYMBOL_CRC(__traceiter_vb2_v4l2_qbuf, 0xf1c35863, "_gpl");
SYMBOL_CRC(__SCK__tp_func_vb2_v4l2_qbuf, 0x5c16ce4e, "_gpl");
SYMBOL_CRC(__SCT__tp_func_vb2_v4l2_qbuf, 0x6d3d6bc6, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_set_name, 0x16f8f6a3, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_init, 0x48bdc35e, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev_board, 0x577a26cd, "_gpl");
SYMBOL_CRC(v4l2_i2c_new_subdev, 0xcec90be0, "_gpl");
SYMBOL_CRC(v4l2_i2c_subdev_addr, 0x08fd8ad7, "_gpl");
SYMBOL_CRC(v4l2_i2c_tuner_addrs, 0xf2a353ac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf7fc980f, "i2c_new_client_device" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7d8c337c, "device_register" },
	{ 0x65929cae, "ns_to_timespec64" },
	{ 0x48ed7e9f, "media_pipeline_start" },
	{ 0xdb5fbe8d, "media_pipeline_stop" },
	{ 0xfb578fc5, "memset" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x849df212, "media_get_pad_index" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xd372e881, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xec4a32f6, "platform_bus_type" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xb5a3faba, "led_set_brightness" },
	{ 0x59ed4750, "media_graph_walk_start" },
	{ 0xfa6020ef, "media_devnode_create" },
	{ 0x90e24d9d, "dev_err_probe" },
	{ 0x99fcbc63, "media_entity_get_fwnode_pad" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xd4af5eac, "media_device_unregister_entity" },
	{ 0x754d539c, "strlen" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x72954b2a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x032d41ac, "__kvmalloc_node_noprof" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x7af660bf, "__media_pipeline_start" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xce437b74, "class_register" },
	{ 0x474b924e, "led_sysfs_disable" },
	{ 0xcc320222, "media_entity_find_link" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe6ea91ef, "pci_bus_type" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xe743a7f3, "cdev_del" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x8a83434b, "cdev_alloc" },
	{ 0xc6e6b19e, "media_devnode_remove" },
	{ 0x89019d1a, "try_module_get" },
	{ 0xb73d5014, "media_request_object_find" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x904e5195, "media_request_object_init" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xdda04ecc, "led_sysfs_enable" },
	{ 0xec300f75, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x44dc4cb5, "fwnode_graph_get_remote_endpoint" },
	{ 0x23f7c0bf, "trace_raw_output_prep" },
	{ 0xc7e081b3, "spi_unregister_device" },
	{ 0x73c15135, "device_unregister" },
	{ 0xa2bfad9f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x847b2a44, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x66d4aeb6, "media_request_object_unbind" },
	{ 0xd86371da, "led_put" },
	{ 0x2d3c7033, "led_trigger_remove" },
	{ 0x2dd6c2b7, "fwnode_graph_get_next_endpoint" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xe1de83c7, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0xc4a58b1c, "media_request_object_complete" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0xdd591938, "fwnode_graph_get_port_parent" },
	{ 0x6769ef81, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x323478c8, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x87317225, "media_create_intf_link" },
	{ 0xc0d13fe8, "media_create_pad_link" },
	{ 0x5cf2cf09, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x901540fb, "device_match_fwnode" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0xfda3e6fb, "__media_pipeline_stop" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x209af024, "put_device" },
	{ 0x0567b515, "i2c_new_scanned_device" },
	{ 0xf997348d, "media_pad_pipeline" },
	{ 0xa916b694, "strnlen" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x069cc8e3, "media_request_object_put" },
	{ 0xc6fda872, "module_put" },
	{ 0xc86b1e55, "media_pipeline_alloc_start" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x72d2a13b, "media_device_register_entity" },
	{ 0x4fef86ab, "media_request_get_by_fd" },
	{ 0x097ab8bb, "cdev_add" },
	{ 0x433454fc, "led_get" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0xd0419f50, "perf_trace_run_bpf_submit" },
	{ 0x35363682, "_dev_err" },
	{ 0x9998f74d, "i2c_unregister_device" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xf08f466c, "media_request_put" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x187a747c, "debugfs_remove" },
	{ 0x99374f55, "spi_new_device" },
	{ 0x7de75a1d, "trace_event_reg" },
	{ 0xba18c699, "media_request_object_bind" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4687146c, "class_unregister" },
	{ 0x86038d71, "media_graph_walk_next" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "mc");


MODULE_INFO(srcversion, "4926E79637A3AFE5BE425F1");
