#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt7921_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7921_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7921_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7921_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_radio_led_ctrl, "_gpl", "");
KSYMTAB_FUNC(mt7921_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(__mt7921_start, "_gpl", "");
KSYMTAB_FUNC(mt7921_roc_abort_sync, "_gpl", "");
KSYMTAB_FUNC(mt7921_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_event, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7921_ops, "_gpl", "");
KSYMTAB_FUNC(mt7921_regd_update, "_gpl", "");
KSYMTAB_FUNC(mt7921_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7921_register_device, "_gpl", "");

SYMBOL_CRC(mt7921_rx_check, 0x463e5a93, "_gpl");
SYMBOL_CRC(mt7921_queue_rx_skb, 0x33e80a15, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_prepare_skb, 0x5046460f, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_complete_skb, 0x7775cd34, "_gpl");
SYMBOL_CRC(mt7921_usb_sdio_tx_status_data, 0xb27ee0cc, "_gpl");
SYMBOL_CRC(mt7921_mcu_parse_response, 0x0a251f71, "_gpl");
SYMBOL_CRC(mt7921_run_firmware, 0x97bf2f20, "_gpl");
SYMBOL_CRC(mt7921_mcu_radio_led_ctrl, 0xc4756545, "_gpl");
SYMBOL_CRC(mt7921_mcu_set_eeprom, 0x2a0e2b3e, "_gpl");
SYMBOL_CRC(__mt7921_start, 0x6bcb7098, "_gpl");
SYMBOL_CRC(mt7921_roc_abort_sync, 0x0287c9a1, "_gpl");
SYMBOL_CRC(mt7921_set_channel, 0x3bad1fa9, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_add, 0xd1e25c3a, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_event, 0xcda9bdf1, "_gpl");
SYMBOL_CRC(mt7921_mac_sta_remove, 0x8a4b4e9d, "_gpl");
SYMBOL_CRC(mt7921_ops, 0xae436254, "_gpl");
SYMBOL_CRC(mt7921_regd_update, 0xb8282b1c, "_gpl");
SYMBOL_CRC(mt7921_mac_init, 0x1d4207b2, "_gpl");
SYMBOL_CRC(mt7921_register_device, 0xf696b01f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x677fdf13, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x954a39a1, "pskb_expand_head" },
	{ 0x2676aeea, "mt76_wcid_init" },
	{ 0x884a3dc3, "wake_up_process" },
	{ 0xe18dd811, "mt76_connac_free_pending_tx_skbs" },
	{ 0x7b6fcf58, "mt792x_sta_statistics" },
	{ 0x8d7d66ba, "skb_queue_purge_reason" },
	{ 0xd8d12191, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x45fd1cc4, "mt792x_conf_tx" },
	{ 0xdeaefdea, "cfg80211_reg_check_beaconing" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x903bc617, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x9f21adf5, "mt792x_get_et_sset_count" },
	{ 0x508157ec, "mt76_wcid_add_poll" },
	{ 0x808f476c, "mt76_connac_mcu_set_mac_enable" },
	{ 0xb45f31e5, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x06f53692, "mt792x_init_acpi_sar_power" },
	{ 0x89a4dab4, "mt792x_set_wakeup" },
	{ 0x4b8f8040, "mt76_wcid_key_setup" },
	{ 0x65afb4f2, "_dev_info" },
	{ 0x76fe997a, "skb_queue_tail" },
	{ 0xc7eb320c, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0xdc17ecf9, "mt76_rx" },
	{ 0x1d2bde8b, "mt792x_load_firmware" },
	{ 0x13868003, "mt76_connac_mcu_sched_scan_req" },
	{ 0xa9dca7ef, "mt792x_get_et_stats" },
	{ 0xda71b96f, "mt76_connac2_txwi_free" },
	{ 0x1745bc51, "__tracepoint_lp_event" },
	{ 0x332e7e6b, "mt76_connac_mcu_uni_add_bss" },
	{ 0xf45e5d0c, "mt76_connac2_mac_add_txs_skb" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x29c12409, "wiphy_to_ieee80211_hw" },
	{ 0x104a4308, "debugfs_attr_read" },
	{ 0x92847594, "mt76_connac_mcu_hw_scan" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x9eb2b6ab, "ieee80211_queue_delayed_work" },
	{ 0x48bc1be6, "devm_kmemdup" },
	{ 0x35363682, "_dev_err" },
	{ 0xb24c27e5, "skb_pull" },
	{ 0x2c60f1c2, "mt76_register_device" },
	{ 0xa1d76da3, "mt792x_get_stats" },
	{ 0x4a801ec7, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x71516662, "simple_attr_release" },
	{ 0x3ebdbd08, "mt792x_mac_set_timeing" },
	{ 0x24d273d1, "add_timer" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc57deb3f, "mt76_find_power_limits_node" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x63258e77, "ieee80211_remain_on_channel_expired" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9360e2c2, "skb_push" },
	{ 0xeefc9bb2, "seq_putc" },
	{ 0x75cc7d10, "ieee80211_wake_queues" },
	{ 0xad18e50d, "mt76_mcu_send_and_get_msg" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7cd3197e, "ieee80211_beacon_get_template" },
	{ 0x1cb6066c, "mt792x_pm_stats" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x636a75c6, "mt76_eeprom_override" },
	{ 0x08965568, "dev_coredumpv" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x63d4a0d9, "__mt76_mcu_msg_alloc" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x95d6c637, "mt792x_csa_timer" },
	{ 0xd406eade, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x18dee0c7, "devm_hwmon_device_register_with_groups" },
	{ 0xa4fdf86c, "cfg80211_chandef_usable" },
	{ 0x4eaf5602, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x0b691356, "mt792x_get_tsf" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x04e973a4, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0xc281eccc, "mt792x_tx" },
	{ 0xbda40539, "mt792x_get_et_strings" },
	{ 0x09d72484, "mt76_sta_state" },
	{ 0xe79f8c04, "ieee80211_ready_on_channel" },
	{ 0xd54e6d7f, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x6d0f720a, "devm_kasprintf" },
	{ 0x96bb4135, "mt792x_remove_interface" },
	{ 0x7fae6835, "seq_read" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x919579c3, "wiphy_rfkill_set_hw_state_reason" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x2aa17f51, "mt792x_queues_read" },
	{ 0x5c0aca20, "mt76_connac_mcu_cancel_hw_scan" },
	{ 0x1e702e12, "wiphy_rfkill_start_polling" },
	{ 0x84b69c90, "mt792x_queues_acq" },
	{ 0x11336266, "ieee80211_sched_scan_results" },
	{ 0xf8d35aee, "ieee80211_scan_completed" },
	{ 0xf9144f5f, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x074bdf98, "mt792x_config_mac_addr_list" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x79395b9c, "mt76_insert_ccmp_hdr" },
	{ 0xd44500fe, "mt76_connac_mcu_sta_cmd" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd875af27, "param_ops_bool" },
	{ 0xe0f5a061, "mt76_connac2_reverse_frag0_hdr_trans" },
	{ 0x0183d1ba, "mt792x_tx_stats_show" },
	{ 0xb1745516, "mt792x_acpi_get_mtcl_conf" },
	{ 0xb1260ff9, "mt76_rx_aggr_start" },
	{ 0x8fa262ac, "__SCK__tp_func_lp_event" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x965079a6, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x39d5f259, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x026a49bd, "mt792x_mac_init_band" },
	{ 0xddc7dfa9, "debugfs_create_file_full" },
	{ 0xab3bdf03, "mt76_skb_adjust_pad" },
	{ 0x6166b1bf, "ieee80211_cqm_rssi_notify" },
	{ 0xb0e1fc31, "mt792x_init_wiphy" },
	{ 0x02c19a04, "mt76_connac_sta_state_dp" },
	{ 0xc85970cb, "mt76_connac_mcu_set_suspend_iter" },
	{ 0x8a0fb9f7, "single_release" },
	{ 0xfda24edb, "mt76_queues_read" },
	{ 0xaecb60ef, "mt76_sta_pre_rcu_remove" },
	{ 0xa581073c, "mt76_register_debugfs_fops" },
	{ 0xd2f064a4, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0xdbeb105d, "mt76_connac2_mac_write_txwi" },
	{ 0x7643aaa7, "__mt76_set_tx_blocked" },
	{ 0x9ddbd8c8, "mt76_connac_mcu_sta_ba" },
	{ 0x9b54230c, "mt76_connac2_mac_decode_he_radiotap" },
	{ 0xe67bac17, "ieee80211_queue_work" },
	{ 0x0d9ffb97, "mt792x_mac_reset_counters" },
	{ 0x1c330b74, "napi_consume_skb" },
	{ 0x917aa4cd, "__mt76_poll" },
	{ 0xbadd5749, "mt76_rx_aggr_stop" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xa142b71d, "single_open" },
	{ 0xffdcf47b, "mt76_connac_mcu_add_key" },
	{ 0xd101cf93, "mt792x_unassign_vif_chanctx" },
	{ 0x5f254948, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xabff3e0f, "__SCT__tp_func_lp_event" },
	{ 0x8e41c62f, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x563cc7c9, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x5162e817, "mt76_connac_mcu_set_rate_txpower" },
	{ 0xd90044b8, "mt76_update_channel" },
	{ 0x4c9ec0b8, "ieee80211_sta_register_airtime" },
	{ 0xdafe90d4, "mt792x_init_wcid" },
	{ 0xc23493df, "mt792x_init_acpi_sar" },
	{ 0xc4428a20, "mt76_init_sar_power" },
	{ 0xe47905a8, "ieee80211_connection_loss" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xfbb34a2b, "simple_attr_open" },
	{ 0x48f7fff5, "ieee80211_iterate_interfaces" },
	{ 0xc16ec8ad, "mt792x_stop" },
	{ 0x5f3ba4ce, "debugfs_attr_write" },
	{ 0x8f025491, "mt76_connac_mcu_sta_update_hdr_trans" },
	{ 0xe04c3642, "mt76_connac_mcu_sched_scan_enable" },
	{ 0x45a97c20, "ieee80211_chswitch_done" },
	{ 0x17ad852b, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xa408e950, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x616ca2e8, "mt76_connac_mcu_uni_set_chctx" },
	{ 0x7ff39069, "mt792x_tx_worker" },
	{ 0xb658f408, "mt792x_flush" },
	{ 0x87a2a784, "mt792x_rx_get_wcid" },
	{ 0x6582f022, "skb_dequeue" },
	{ 0x42128a8c, "mt76_connac_gen_ppe_thresh" },
	{ 0x347cc6ca, "mt76_connac_mcu_set_rts_thresh" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x735df86d, "mt76_connac_mcu_set_channel_domain" },
	{ 0x6589c312, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x99acc230, "mt76_release_buffered_frames" },
	{ 0x3a552160, "request_firmware" },
	{ 0x9e19e656, "mt76_get_txpower" },
	{ 0xa759ddf1, "mt76_tx_status_skb_add" },
	{ 0xffa14966, "mt76_connac_pm_wake" },
	{ 0xe7405c39, "mt76_connac2_mac_fill_rx_rate" },
	{ 0x0df73a34, "mt792x_pm_wake_work" },
	{ 0xe72df382, "mt76_connac_mcu_set_deep_sleep" },
	{ 0xfc6adad0, "mt76_wake_tx_queue" },
	{ 0x69acdf38, "memcpy" },
	{ 0x94cfedf8, "mt76_connac_mcu_chip_config" },
	{ 0x081226e2, "mt76_get_antenna" },
	{ 0x48cec925, "mt792x_set_coverage_class" },
	{ 0x9e759cc1, "mt792x_acpi_get_flags" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x0267b3d4, "__mt76_tx_complete_skb" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x41b96807, "seq_lseek" },
	{ 0x53b28859, "mt76_set_stream_caps" },
	{ 0x38265c96, "mt792x_mac_assoc_rssi" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xd56d582f, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xbebb3f11, "mt76_connac_mcu_update_arp_filter" },
	{ 0xb7d43f7a, "mt76_connac2_tx_check_aggr" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "mt76,mt76-connac-lib,mt792x-lib,cfg80211,mac80211");


MODULE_INFO(srcversion, "CDBED3FCBC46F000DE99350");
