#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qtnf_core_attach, "_gpl", "");
KSYMTAB_FUNC(qtnf_core_detach, "_gpl", "");
KSYMTAB_FUNC(qtnf_classify_skb, "_gpl", "");
KSYMTAB_FUNC(qtnf_wake_all_queues, "_gpl", "");
KSYMTAB_FUNC(qtnf_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(qtnf_trans_handle_rx_ctl_packet, "_gpl", "");
KSYMTAB_FUNC(qtnf_chipid_to_string, "_gpl", "");

SYMBOL_CRC(qtnf_core_attach, 0x96985ac2, "_gpl");
SYMBOL_CRC(qtnf_core_detach, 0xa9593112, "_gpl");
SYMBOL_CRC(qtnf_classify_skb, 0xb491c989, "_gpl");
SYMBOL_CRC(qtnf_wake_all_queues, 0xa3e25820, "_gpl");
SYMBOL_CRC(qtnf_get_debugfs_dir, 0xacdeaa6f, "_gpl");
SYMBOL_CRC(qtnf_trans_handle_rx_ctl_packet, 0xb67c3a98, "_gpl");
SYMBOL_CRC(qtnf_chipid_to_string, 0x31fab83c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf4755fea, "alloc_netdev_mqs" },
	{ 0xe2ec5cb8, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x22d74f1b, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0xbab7ae17, "cfg80211_put_bss" },
	{ 0xe30808f3, "cfg80211_ch_switch_notify" },
	{ 0x76fe997a, "skb_queue_tail" },
	{ 0x56cae4ce, "ieee80211_get_channel_khz" },
	{ 0xb3f8e95b, "cfg80211_check_combinations" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x82bdde77, "__cfg80211_radar_event" },
	{ 0x8e00f8f5, "cfg80211_get_drvinfo" },
	{ 0xd09f4b49, "init_net" },
	{ 0xe32cbcf6, "platform_device_unregister" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe3aa3206, "cfg80211_michael_mic_failure" },
	{ 0xb16281e7, "wiphy_apply_custom_regulatory" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x187a747c, "debugfs_remove" },
	{ 0x1cbfa44e, "cfg80211_del_sta_sinfo" },
	{ 0x3e49e073, "cfg80211_update_owe_info_event" },
	{ 0x33458c65, "wiphy_unregister" },
	{ 0x204d4cd5, "free_netdev" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5be51d23, "netif_tx_stop_all_queues" },
	{ 0x12e3191a, "netif_tx_wake_queue" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x73a60108, "wdev_chandef" },
	{ 0xe45045e3, "__netdev_alloc_skb" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xac0e4f83, "cfg80211_unregister_wdev" },
	{ 0xda00021b, "platform_device_register_full" },
	{ 0x75bbf977, "cfg80211_rx_mgmt_ext" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xd875af27, "param_ops_bool" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x06b67ec0, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x9a63f8e1, "netif_carrier_on" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x34bd0766, "netdev_walk_all_lower_dev" },
	{ 0x454cf0a8, "cfg80211_inform_bss_data" },
	{ 0x25ac5633, "cfg80211_shutdown_all_interfaces" },
	{ 0xb653e1ca, "dev_kfree_skb_any_reason" },
	{ 0xf1a6e9e6, "regulatory_set_wiphy_regd" },
	{ 0x349cba85, "strchr" },
	{ 0x72954b2a, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x377e1afa, "cfg80211_connect_done" },
	{ 0x99d13320, "__cfg80211_get_bss" },
	{ 0xce46f079, "wiphy_free" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x7d24ff47, "device_set_wakeup_enable" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x376a9245, "eth_mac_addr" },
	{ 0x17ad852b, "skb_put" },
	{ 0xac8a37da, "cfg80211_scan_done" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xa408e950, "consume_skb" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xa734326a, "cfg80211_cac_event" },
	{ 0x6582f022, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xdbd02fa9, "cfg80211_register_netdevice" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x69acdf38, "memcpy" },
	{ 0xd91501f3, "regulatory_hint" },
	{ 0x037a0cba, "kfree" },
	{ 0xa2bed21c, "cfg80211_external_auth_request" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xd4d0f92b, "cfg80211_new_sta" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x343a4e59, "cfg80211_disconnected" },
	{ 0x40a5803b, "ether_setup" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb65e86a0, "netdev_port_same_parent_id" },
	{ 0x2fa9f94d, "dev_addr_mod" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "74145EE7089EBF882519B1B");
