#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(st21nfca_hci_probe, "", "");
KSYMTAB_FUNC(st21nfca_hci_remove, "", "");
KSYMTAB_FUNC(st21nfca_tm_send_dep_res, "", "");
KSYMTAB_FUNC(st21nfca_dep_event_received, "", "");
KSYMTAB_FUNC(st21nfca_im_send_atr_req, "", "");
KSYMTAB_FUNC(st21nfca_im_send_dep_req, "", "");
KSYMTAB_FUNC(st21nfca_dep_init, "", "");
KSYMTAB_FUNC(st21nfca_dep_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_discover_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_enable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_disable_se, "", "");
KSYMTAB_FUNC(st21nfca_hci_se_io, "", "");
KSYMTAB_FUNC(st21nfca_connectivity_event_received, "", "");
KSYMTAB_FUNC(st21nfca_apdu_reader_event_received, "", "");
KSYMTAB_FUNC(st21nfca_se_init, "", "");
KSYMTAB_FUNC(st21nfca_se_deinit, "", "");
KSYMTAB_FUNC(st21nfca_hci_loopback_event_received, "", "");
KSYMTAB_FUNC(st21nfca_vendor_cmds_init, "", "");

SYMBOL_CRC(st21nfca_hci_probe, 0x001f066d, "");
SYMBOL_CRC(st21nfca_hci_remove, 0x2d5980c7, "");
SYMBOL_CRC(st21nfca_tm_send_dep_res, 0xc2fa47e0, "");
SYMBOL_CRC(st21nfca_dep_event_received, 0x46ef73e6, "");
SYMBOL_CRC(st21nfca_im_send_atr_req, 0x3ef4f372, "");
SYMBOL_CRC(st21nfca_im_send_dep_req, 0x28d54f49, "");
SYMBOL_CRC(st21nfca_dep_init, 0x5500b087, "");
SYMBOL_CRC(st21nfca_dep_deinit, 0xec89ca54, "");
SYMBOL_CRC(st21nfca_hci_discover_se, 0x8847f620, "");
SYMBOL_CRC(st21nfca_hci_enable_se, 0xd0113b1e, "");
SYMBOL_CRC(st21nfca_hci_disable_se, 0x08d77311, "");
SYMBOL_CRC(st21nfca_hci_se_io, 0xfe70ddd5, "");
SYMBOL_CRC(st21nfca_connectivity_event_received, 0xe6e93b34, "");
SYMBOL_CRC(st21nfca_apdu_reader_event_received, 0xd8e5b3f8, "");
SYMBOL_CRC(st21nfca_se_init, 0x3affb6a5, "");
SYMBOL_CRC(st21nfca_se_deinit, 0xa25846be, "");
SYMBOL_CRC(st21nfca_hci_loopback_event_received, 0xfba0e7da, "");
SYMBOL_CRC(st21nfca_vendor_cmds_init, 0x944a92e6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3567bb93, "nfc_hci_free_device" },
	{ 0x1a6ad977, "nfc_se_transaction" },
	{ 0xb68e36ef, "nfc_get_local_general_bytes" },
	{ 0x22675487, "nfc_hci_register_device" },
	{ 0xfeed7509, "nfc_set_remote_general_bytes" },
	{ 0x35363682, "_dev_err" },
	{ 0xb24c27e5, "skb_pull" },
	{ 0x440d3be7, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x9360e2c2, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0xbaa81f11, "nfc_hci_send_cmd" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xe6de28b7, "nfc_hci_get_clientdata" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfffc4480, "nfc_tm_activated" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9cf4e1c7, "nfc_hci_allocate_device" },
	{ 0xb4639938, "skb_trim" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb9b1c7e, "nfc_se_connectivity" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x83f72ae3, "nfc_vendor_cmd_reply" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4de0ab3c, "nfc_hci_set_param" },
	{ 0x84bd53b5, "nfc_dep_link_is_up" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x48c783fb, "nfc_hci_send_event" },
	{ 0x5f893702, "nfc_hci_disconnect_all_gates" },
	{ 0x897a3193, "nfc_hci_disconnect_gate" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x5d78c8b7, "nfc_hci_set_clientdata" },
	{ 0xdbd45cd7, "devm_kmalloc" },
	{ 0x6f1b287b, "__nfc_alloc_vendor_cmd_reply_skb" },
	{ 0x17ad852b, "skb_put" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7e7ee2ed, "nfc_hci_get_param" },
	{ 0x52a002f5, "nfc_hci_send_cmd_async" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e989f52, "nfc_add_se" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x96848186, "scnprintf" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xea700c4f, "nfc_llc_stop" },
	{ 0xe465513f, "nfc_hci_connect_gate" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x3cd3aa2b, "nfc_tm_data_received" },
	{ 0xb7ccbc0c, "nfc_remove_se" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x9e01a962, "nfc_hci_unregister_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xdd231c55, "nfc_hci_sak_to_protocol" },
	{ 0x202ae47f, "__alloc_skb" },
	{ 0xe9b40603, "nfc_llc_start" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "hci,nfc");


MODULE_INFO(srcversion, "365980112FD2100272BFA65");
