#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rio_local_get_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_query_mport, "", "");
KSYMTAB_FUNC(rio_alloc_net, "_gpl", "");
KSYMTAB_FUNC(rio_add_net, "_gpl", "");
KSYMTAB_FUNC(rio_free_net, "_gpl", "");
KSYMTAB_FUNC(rio_local_set_device_id, "_gpl", "");
KSYMTAB_FUNC(rio_add_device, "_gpl", "");
KSYMTAB_FUNC(rio_del_device, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_mbox, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_request_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_release_outb_dbell, "_gpl", "");
KSYMTAB_FUNC(rio_add_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_del_mport_pw_handler, "_gpl", "");
KSYMTAB_FUNC(rio_request_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_release_inb_pwrite, "_gpl", "");
KSYMTAB_FUNC(rio_pw_enable, "_gpl", "");
KSYMTAB_FUNC(rio_map_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_inb_region, "_gpl", "");
KSYMTAB_FUNC(rio_map_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_unmap_outb_region, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_physefb, "_gpl", "");
KSYMTAB_FUNC(rio_get_comptag, "_gpl", "");
KSYMTAB_FUNC(rio_set_port_lockout, "_gpl", "");
KSYMTAB_FUNC(rio_enable_rx_tx_port, "_gpl", "");
KSYMTAB_FUNC(rio_mport_chk_dev_access, "_gpl", "");
KSYMTAB_FUNC(rio_inb_pwrite_handler, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_efb, "_gpl", "");
KSYMTAB_FUNC(rio_mport_get_feature, "_gpl", "");
KSYMTAB_FUNC(rio_lock_device, "_gpl", "");
KSYMTAB_FUNC(rio_unlock_device, "_gpl", "");
KSYMTAB_FUNC(rio_route_add_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_get_entry, "_gpl", "");
KSYMTAB_FUNC(rio_route_clr_table, "_gpl", "");
KSYMTAB_FUNC(rio_request_mport_dma, "_gpl", "");
KSYMTAB_FUNC(rio_request_dma, "_gpl", "");
KSYMTAB_FUNC(rio_release_dma, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_xfer, "_gpl", "");
KSYMTAB_FUNC(rio_dma_prep_slave_sg, "_gpl", "");
KSYMTAB_FUNC(rio_register_scan, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_scan, "_gpl", "");
KSYMTAB_FUNC(rio_init_mports, "_gpl", "");
KSYMTAB_FUNC(rio_mport_initialize, "_gpl", "");
KSYMTAB_FUNC(rio_register_mport, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_mport, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_read_config_32, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_8, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_16, "_gpl", "");
KSYMTAB_FUNC(__rio_local_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_read_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_8, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_16, "_gpl", "");
KSYMTAB_FUNC(rio_mport_write_config_32, "_gpl", "");
KSYMTAB_FUNC(rio_mport_send_doorbell, "_gpl", "");
KSYMTAB_FUNC(rio_attach_device, "_gpl", "");
KSYMTAB_DATA(rio_mport_class, "_gpl", "");
KSYMTAB_FUNC(rio_register_driver, "_gpl", "");
KSYMTAB_FUNC(rio_unregister_driver, "_gpl", "");
KSYMTAB_DATA(rio_bus_type, "_gpl", "");
KSYMTAB_FUNC(rio_dev_get, "_gpl", "");
KSYMTAB_FUNC(rio_dev_put, "_gpl", "");

SYMBOL_CRC(rio_local_get_device_id, 0x7a67c5d0, "_gpl");
SYMBOL_CRC(rio_query_mport, 0x86f0230d, "");
SYMBOL_CRC(rio_alloc_net, 0xfd0c935e, "_gpl");
SYMBOL_CRC(rio_add_net, 0xf9c42993, "_gpl");
SYMBOL_CRC(rio_free_net, 0x93b3725d, "_gpl");
SYMBOL_CRC(rio_local_set_device_id, 0x39fcb96a, "_gpl");
SYMBOL_CRC(rio_add_device, 0xb2e3ad9b, "_gpl");
SYMBOL_CRC(rio_del_device, 0x26f877ce, "_gpl");
SYMBOL_CRC(rio_request_inb_mbox, 0xf6e2d2ba, "_gpl");
SYMBOL_CRC(rio_release_inb_mbox, 0xb0d8b4e4, "_gpl");
SYMBOL_CRC(rio_request_outb_mbox, 0x8fc27a34, "_gpl");
SYMBOL_CRC(rio_release_outb_mbox, 0xd475a2f0, "_gpl");
SYMBOL_CRC(rio_request_inb_dbell, 0x0dfc8e99, "_gpl");
SYMBOL_CRC(rio_release_inb_dbell, 0xb95a2436, "_gpl");
SYMBOL_CRC(rio_request_outb_dbell, 0x825769a1, "_gpl");
SYMBOL_CRC(rio_release_outb_dbell, 0x9e22369e, "_gpl");
SYMBOL_CRC(rio_add_mport_pw_handler, 0x9dbedaf4, "_gpl");
SYMBOL_CRC(rio_del_mport_pw_handler, 0x1b55fdcc, "_gpl");
SYMBOL_CRC(rio_request_inb_pwrite, 0xc64612cc, "_gpl");
SYMBOL_CRC(rio_release_inb_pwrite, 0x4d7facfb, "_gpl");
SYMBOL_CRC(rio_pw_enable, 0x8f52eac0, "_gpl");
SYMBOL_CRC(rio_map_inb_region, 0x0d6c37b0, "_gpl");
SYMBOL_CRC(rio_unmap_inb_region, 0x074d70e9, "_gpl");
SYMBOL_CRC(rio_map_outb_region, 0xa1036d8c, "_gpl");
SYMBOL_CRC(rio_unmap_outb_region, 0x1c99e11f, "_gpl");
SYMBOL_CRC(rio_mport_get_physefb, 0xbd78b0e2, "_gpl");
SYMBOL_CRC(rio_get_comptag, 0x0dc06258, "_gpl");
SYMBOL_CRC(rio_set_port_lockout, 0x50b30798, "_gpl");
SYMBOL_CRC(rio_enable_rx_tx_port, 0x8740446e, "_gpl");
SYMBOL_CRC(rio_mport_chk_dev_access, 0x2170b7e2, "_gpl");
SYMBOL_CRC(rio_inb_pwrite_handler, 0x3e725c95, "_gpl");
SYMBOL_CRC(rio_mport_get_efb, 0xe3bfdfeb, "_gpl");
SYMBOL_CRC(rio_mport_get_feature, 0xe012fad6, "_gpl");
SYMBOL_CRC(rio_lock_device, 0xfc45476b, "_gpl");
SYMBOL_CRC(rio_unlock_device, 0x1370b7e2, "_gpl");
SYMBOL_CRC(rio_route_add_entry, 0x1aec6661, "_gpl");
SYMBOL_CRC(rio_route_get_entry, 0x5be85e11, "_gpl");
SYMBOL_CRC(rio_route_clr_table, 0xbc89836b, "_gpl");
SYMBOL_CRC(rio_request_mport_dma, 0x6027c070, "_gpl");
SYMBOL_CRC(rio_request_dma, 0xae265ea9, "_gpl");
SYMBOL_CRC(rio_release_dma, 0xb3b9a888, "_gpl");
SYMBOL_CRC(rio_dma_prep_xfer, 0x20603247, "_gpl");
SYMBOL_CRC(rio_dma_prep_slave_sg, 0xca8c703b, "_gpl");
SYMBOL_CRC(rio_register_scan, 0xbbbb69db, "_gpl");
SYMBOL_CRC(rio_unregister_scan, 0xeb2d4593, "_gpl");
SYMBOL_CRC(rio_init_mports, 0xe1bd6c99, "_gpl");
SYMBOL_CRC(rio_mport_initialize, 0x42fb1676, "_gpl");
SYMBOL_CRC(rio_register_mport, 0x7a4c7c54, "_gpl");
SYMBOL_CRC(rio_unregister_mport, 0xc5cea5e3, "_gpl");
SYMBOL_CRC(__rio_local_read_config_8, 0xdb4b55b0, "_gpl");
SYMBOL_CRC(__rio_local_read_config_16, 0xa1b009cb, "_gpl");
SYMBOL_CRC(__rio_local_read_config_32, 0x7b50f7de, "_gpl");
SYMBOL_CRC(__rio_local_write_config_8, 0xf6a1f41b, "_gpl");
SYMBOL_CRC(__rio_local_write_config_16, 0x5b6d3fe7, "_gpl");
SYMBOL_CRC(__rio_local_write_config_32, 0x78cf9f72, "_gpl");
SYMBOL_CRC(rio_mport_read_config_8, 0x26ba03f8, "_gpl");
SYMBOL_CRC(rio_mport_read_config_16, 0x4f508e3d, "_gpl");
SYMBOL_CRC(rio_mport_read_config_32, 0x494daed2, "_gpl");
SYMBOL_CRC(rio_mport_write_config_8, 0x127d09ef, "_gpl");
SYMBOL_CRC(rio_mport_write_config_16, 0xfdfb0969, "_gpl");
SYMBOL_CRC(rio_mport_write_config_32, 0xb9361546, "_gpl");
SYMBOL_CRC(rio_mport_send_doorbell, 0x5fc50244, "_gpl");
SYMBOL_CRC(rio_attach_device, 0x6087f410, "_gpl");
SYMBOL_CRC(rio_mport_class, 0x7390f05d, "_gpl");
SYMBOL_CRC(rio_register_driver, 0x6d70d62b, "_gpl");
SYMBOL_CRC(rio_unregister_driver, 0xbffa910f, "_gpl");
SYMBOL_CRC(rio_bus_type, 0x5be09c1f, "_gpl");
SYMBOL_CRC(rio_dev_get, 0x1cf99a59, "_gpl");
SYMBOL_CRC(rio_dev_put, 0xa77080f3, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x323478c8, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8344f843, "__dma_request_channel" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x209af024, "put_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc6fda872, "module_put" },
	{ 0x35363682, "_dev_err" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xe1902a55, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4687146c, "class_unregister" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x7d8c337c, "device_register" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x3854774b, "kstrtoll" },
	{ 0xc5e74216, "release_resource" },
	{ 0x7771a6b9, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x897bb07c, "driver_register" },
	{ 0xce437b74, "class_register" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x101b3a60, "bus_register" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x89019d1a, "try_module_get" },
	{ 0x13110126, "request_resource" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xec300f75, "dev_set_name" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73c15135, "device_unregister" },
	{ 0x04edd778, "param_array_ops" },
	{ 0x037a0cba, "kfree" },
	{ 0xf4603e2e, "dma_release_channel" },
	{ 0x3a733a1b, "device_for_each_child" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7C3C1A8BC085EC9B7BCC133");
