#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_find_param_from_key, "", "");
KSYMTAB_FUNC(iscsit_get_datain_values, "", "");
KSYMTAB_FUNC(iscsit_increment_maxcmdsn, "", "");
KSYMTAB_FUNC(iscsit_cause_connection_reinstatement, "", "");
KSYMTAB_FUNC(iscsit_stop_dataout_timer, "", "");
KSYMTAB_FUNC(iscsi_change_param_sprintf, "", "");
KSYMTAB_FUNC(iscsi_target_check_login_request, "", "");
KSYMTAB_FUNC(iscsit_tmr_post_handler, "", "");
KSYMTAB_FUNC(iscsit_allocate_cmd, "", "");
KSYMTAB_FUNC(iscsit_sequence_cmd, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt, "", "");
KSYMTAB_FUNC(iscsit_find_cmd_from_itt_or_dump, "", "");
KSYMTAB_FUNC(iscsit_add_cmd_to_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_release_cmd, "", "");
KSYMTAB_FUNC(iscsit_free_cmd, "", "");
KSYMTAB_FUNC(iscsit_queue_rsp, "", "");
KSYMTAB_FUNC(iscsit_aborted_task, "", "");
KSYMTAB_FUNC(iscsit_add_reject, "", "");
KSYMTAB_FUNC(iscsit_reject_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_scsi_cmd, "", "");
KSYMTAB_FUNC(iscsit_set_unsolicited_dataout, "", "");
KSYMTAB_FUNC(iscsit_process_scsi_cmd, "", "");
KSYMTAB_FUNC(__iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_hdr, "", "");
KSYMTAB_FUNC(iscsit_check_dataout_payload, "", "");
KSYMTAB_FUNC(iscsit_setup_nop_out, "", "");
KSYMTAB_FUNC(iscsit_process_nop_out, "", "");
KSYMTAB_FUNC(iscsit_handle_task_mgt_cmd, "", "");
KSYMTAB_FUNC(iscsit_setup_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_process_text_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_logout_cmd, "", "");
KSYMTAB_FUNC(iscsit_handle_snack, "", "");
KSYMTAB_FUNC(iscsit_build_datain_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_logout_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_nopin_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_r2ts_for_cmd, "", "");
KSYMTAB_FUNC(iscsit_build_rsp_pdu, "", "");
KSYMTAB_FUNC(iscsit_build_task_mgt_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_text_rsp, "", "");
KSYMTAB_FUNC(iscsit_build_reject, "", "");
KSYMTAB_FUNC(iscsit_thread_check_cpumask, "", "");
KSYMTAB_FUNC(iscsit_immediate_queue, "", "");
KSYMTAB_FUNC(iscsit_response_queue, "", "");
KSYMTAB_FUNC(iscsit_logout_post_handler, "", "");
KSYMTAB_FUNC(iscsit_register_transport, "", "");
KSYMTAB_FUNC(iscsit_unregister_transport, "", "");

SYMBOL_CRC(iscsi_find_param_from_key, 0xf34332f0, "");
SYMBOL_CRC(iscsit_get_datain_values, 0x8306147d, "");
SYMBOL_CRC(iscsit_increment_maxcmdsn, 0x06d43161, "");
SYMBOL_CRC(iscsit_cause_connection_reinstatement, 0xcaf6d957, "");
SYMBOL_CRC(iscsit_stop_dataout_timer, 0x084be371, "");
SYMBOL_CRC(iscsi_change_param_sprintf, 0x91d6e048, "");
SYMBOL_CRC(iscsi_target_check_login_request, 0xa088b702, "");
SYMBOL_CRC(iscsit_tmr_post_handler, 0x60550162, "");
SYMBOL_CRC(iscsit_allocate_cmd, 0x463ef218, "");
SYMBOL_CRC(iscsit_sequence_cmd, 0xf66374d3, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt, 0xffcf61e2, "");
SYMBOL_CRC(iscsit_find_cmd_from_itt_or_dump, 0x0efda973, "");
SYMBOL_CRC(iscsit_add_cmd_to_immediate_queue, 0xe78d5ace, "");
SYMBOL_CRC(iscsit_release_cmd, 0xc40e9f40, "");
SYMBOL_CRC(iscsit_free_cmd, 0xbe1630da, "");
SYMBOL_CRC(iscsit_queue_rsp, 0x30dfd34b, "");
SYMBOL_CRC(iscsit_aborted_task, 0x167dd56f, "");
SYMBOL_CRC(iscsit_add_reject, 0x41fc3319, "");
SYMBOL_CRC(iscsit_reject_cmd, 0xd6b29028, "");
SYMBOL_CRC(iscsit_setup_scsi_cmd, 0x7eeaa62e, "");
SYMBOL_CRC(iscsit_set_unsolicited_dataout, 0xc3db3808, "");
SYMBOL_CRC(iscsit_process_scsi_cmd, 0x1cb813a3, "");
SYMBOL_CRC(__iscsit_check_dataout_hdr, 0x649783b6, "");
SYMBOL_CRC(iscsit_check_dataout_hdr, 0xcd6f4f20, "");
SYMBOL_CRC(iscsit_check_dataout_payload, 0x7cf11523, "");
SYMBOL_CRC(iscsit_setup_nop_out, 0x8c66af34, "");
SYMBOL_CRC(iscsit_process_nop_out, 0x9fba5386, "");
SYMBOL_CRC(iscsit_handle_task_mgt_cmd, 0xafc0deaf, "");
SYMBOL_CRC(iscsit_setup_text_cmd, 0xf1ed755a, "");
SYMBOL_CRC(iscsit_process_text_cmd, 0x9e38dad2, "");
SYMBOL_CRC(iscsit_handle_logout_cmd, 0x89560083, "");
SYMBOL_CRC(iscsit_handle_snack, 0x24453086, "");
SYMBOL_CRC(iscsit_build_datain_pdu, 0x3b709871, "");
SYMBOL_CRC(iscsit_build_logout_rsp, 0xba982b71, "");
SYMBOL_CRC(iscsit_build_nopin_rsp, 0x46806578, "");
SYMBOL_CRC(iscsit_build_r2ts_for_cmd, 0xcba909ba, "");
SYMBOL_CRC(iscsit_build_rsp_pdu, 0x61ef738c, "");
SYMBOL_CRC(iscsit_build_task_mgt_rsp, 0x82362be9, "");
SYMBOL_CRC(iscsit_build_text_rsp, 0xf1416b22, "");
SYMBOL_CRC(iscsit_build_reject, 0xd62171f2, "");
SYMBOL_CRC(iscsit_thread_check_cpumask, 0x2317f4a9, "");
SYMBOL_CRC(iscsit_immediate_queue, 0xb0486e68, "");
SYMBOL_CRC(iscsit_response_queue, 0xb43d5c74, "");
SYMBOL_CRC(iscsit_logout_post_handler, 0x9f2c2b13, "");
SYMBOL_CRC(iscsit_register_transport, 0x8b2cf412, "");
SYMBOL_CRC(iscsit_unregister_transport, 0x4253f32b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x0cecf76a, "iov_iter_bvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63ed5795, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x93d6dd8c, "complete_all" },
	{ 0xd9c0fcec, "__kmem_cache_create_args" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x2f8eaa1d, "__target_init_cmd" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x5de094fb, "kthread_create_on_node" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x18c739ac, "transport_lookup_cmd_lun" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xdeb7efca, "core_tpg_check_initiator_node_acl" },
	{ 0x34d9f94b, "target_cmd_init_cdb" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x9a874496, "kernel_listen" },
	{ 0xed4116bd, "crc32c_le_arch" },
	{ 0x66e7a0f1, "core_tmr_alloc_req" },
	{ 0x999e8297, "vfree" },
	{ 0x5c7bf0bd, "ip_sock_set_freebind" },
	{ 0xea3c8e4e, "scsilun_to_int" },
	{ 0xfbcff4f6, "sbitmap_finish_wait" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xad870df7, "crypto_shash_finup" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x1c7072bb, "transport_wait_for_tasks" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x7177e938, "target_get_sess_cmd" },
	{ 0x52df470b, "target_complete_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xa6e36705, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x37dc4bc0, "sock_recvmsg" },
	{ 0x50b709af, "core_tpg_deregister" },
	{ 0x6bd0e573, "down_interruptible" },
	{ 0x72c7ff60, "__transport_register_session" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xec2618bc, "target_show_dynamic_sessions" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0x96898830, "sock_release" },
	{ 0xa6e0fb94, "target_register_template" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xddd023e0, "tcp_sock_set_nodelay" },
	{ 0x1f350a8f, "send_sig" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x5901055f, "transport_generic_free_cmd" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x91f57092, "core_tpg_register" },
	{ 0x754d539c, "strlen" },
	{ 0x583729ab, "target_put_sess_cmd" },
	{ 0x742578a5, "wait_for_random_bytes" },
	{ 0x49a2aa5f, "transport_deregister_session" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xaa8f1b71, "inet_addr_is_any" },
	{ 0x349cba85, "strchr" },
	{ 0xc7a079d0, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xabf1b35b, "__sbitmap_queue_get" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xf09fd009, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x9d87ae2e, "kmem_cache_destroy" },
	{ 0xee3e8299, "target_tpg_has_node_acl" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe914e41e, "strcpy" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0xc65e34a6, "target_alloc_cmd_counter" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x89019d1a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xb4489234, "target_wait_for_cmds" },
	{ 0x16b6db79, "transport_generic_new_cmd" },
	{ 0x5d24150b, "target_free_cmd_counter" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xe858d49b, "target_execute_cmd" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xc640c527, "kernel_bind" },
	{ 0xcf2a6966, "up" },
	{ 0xc7b0a6b3, "sock_create" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x0e23b37f, "alloc_cpumask_var_node" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x5ed90adc, "int_to_scsilun" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x9468b7d1, "__tracepoint_sk_data_ready" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x5bfe1139, "target_submit" },
	{ 0xef40d26c, "kernel_accept" },
	{ 0x00148653, "vsnprintf" },
	{ 0xb4cb9f24, "core_tpg_set_initiator_node_queue_depth" },
	{ 0x2b9b3376, "target_stop_cmd_counter" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x29b03edd, "transport_generic_handle_tmr" },
	{ 0x7cf35b09, "transport_lookup_tmr_lun" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x884a3dc3, "wake_up_process" },
	{ 0x06d11488, "__bitmap_equal" },
	{ 0x4cf56747, "crypto_destroy_tfm" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa2d269fb, "transport_alloc_session_tags" },
	{ 0xf0f49f41, "transport_alloc_session" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x9b2c6b1a, "sbitmap_prepare_to_wait" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3e18f132, "target_unregister_template" },
	{ 0xe42cd6e5, "transport_send_check_condition_and_sense" },
	{ 0xa916b694, "strnlen" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x32b6b1c9, "transport_free_session" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc6fda872, "module_put" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x17565a69, "flush_signals" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xd09f4b49, "init_net" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xb3f548ad, "kmemdup_nul" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x7d9b7a07, "__SCK__tp_func_sk_data_ready" },
	{ 0x540b012d, "config_group_init_type_name" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x954f099c, "idr_preload" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4942c251, "kmem_cache_free" },
	{ 0x6500137d, "set_cpus_allowed_ptr" },
	{ 0x3f3e491b, "transport_deregister_session_configfs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x112df548, "sbitmap_queue_clear" },
	{ 0x83fb874c, "iov_iter_kvec" },
	{ 0xffb7c514, "ida_free" },
	{ 0x2e3bcce2, "wait_for_completion_interruptible" },
	{ 0xd41ccd48, "inet_pton_with_scope" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd657ec4, "sock_sendmsg" },
	{ 0xd73e6f5a, "crypto_shash_update" },
	{ 0x2ecc1600, "core_tpg_set_initiator_node_tag" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x157f4a2f, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xaf59b7a5, "target_cmd_parse_cdb" },
	{ 0x091e7685, "sock_set_reuseaddr" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "target_core_mod,scsi_common,configfs");


MODULE_INFO(srcversion, "70CE5A2639135FB87742BAD");
