#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_disabled, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_common_endpoints_reverse, "_gpl", "");
KSYMTAB_FUNC(usb_check_bulk_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_check_int_endpoints, "_gpl", "");
KSYMTAB_FUNC(usb_find_alt_setting, "_gpl", "");
KSYMTAB_FUNC(usb_ifnum_to_if, "_gpl", "");
KSYMTAB_FUNC(usb_altnum_to_altsetting, "_gpl", "");
KSYMTAB_FUNC(usb_find_interface, "_gpl", "");
KSYMTAB_FUNC(usb_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_dev, "_gpl", "");
KSYMTAB_FUNC(usb_put_dev, "_gpl", "");
KSYMTAB_FUNC(usb_get_intf, "_gpl", "");
KSYMTAB_FUNC(usb_put_intf, "_gpl", "");
KSYMTAB_FUNC(usb_intf_get_dma_device, "_gpl", "");
KSYMTAB_FUNC(usb_lock_device_for_reset, "_gpl", "");
KSYMTAB_FUNC(usb_get_current_frame_number, "_gpl", "");
KSYMTAB_FUNC(__usb_get_extra_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_coherent, "_gpl", "");
KSYMTAB_FUNC(usb_free_coherent, "_gpl", "");
KSYMTAB_DATA(ehci_cf_port_reset_rwsem, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_notification, "_gpl", "");
KSYMTAB_FUNC(usb_hub_clear_tt_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_hub_claim_port, "_gpl", "");
KSYMTAB_FUNC(usb_hub_release_port, "_gpl", "");
KSYMTAB_FUNC(usb_set_device_state, "_gpl", "");
KSYMTAB_FUNC(usb_disable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_ltm, "_gpl", "");
KSYMTAB_FUNC(usb_wakeup_enabled_descendants, "_gpl", "");
KSYMTAB_FUNC(usb_root_hub_lost_power, "_gpl", "");
KSYMTAB_FUNC(usb_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_disable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_unlocked_enable_lpm, "_gpl", "");
KSYMTAB_FUNC(usb_ep0_reinit, "_gpl", "");
KSYMTAB_FUNC(usb_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_queue_reset_device, "_gpl", "");
KSYMTAB_FUNC(usb_hub_find_child, "_gpl", "");
KSYMTAB_DATA(usb_hcds_loaded, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr, "_gpl", "");
KSYMTAB_DATA(usb_bus_idr_lock, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_poll_rh_status, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_start_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_end_port_resume, "_gpl", "");
KSYMTAB_FUNC(usb_calc_bus_time, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_link_urb_to_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_check_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unlink_urb_from_ep, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_setup_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_unmap_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_map_urb_for_dma, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_giveback_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_streams, "_gpl", "");
KSYMTAB_FUNC(usb_free_streams, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_resume_root_hub, "_gpl", "");
KSYMTAB_FUNC(usb_bus_start_enum, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_irq, "_gpl", "");
KSYMTAB_FUNC(usb_hc_died, "_gpl", "");
KSYMTAB_FUNC(__usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_shared_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_create_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_get_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_put_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_is_primary_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_add_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_remove_hcd, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_platform_shutdown, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_setup_local_mem, "_gpl", "");
KSYMTAB_FUNC(usb_mon_register, "_gpl", "");
KSYMTAB_FUNC(usb_mon_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_init_urb, "_gpl", "");
KSYMTAB_FUNC(usb_alloc_urb, "_gpl", "");
KSYMTAB_FUNC(usb_free_urb, "_gpl", "");
KSYMTAB_FUNC(usb_get_urb, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unanchor_urb, "_gpl", "");
KSYMTAB_FUNC(usb_pipe_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_urb_ep_type_check, "_gpl", "");
KSYMTAB_FUNC(usb_submit_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_urb, "_gpl", "");
KSYMTAB_FUNC(usb_poison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_urb, "_gpl", "");
KSYMTAB_FUNC(usb_block_urb, "_gpl", "");
KSYMTAB_FUNC(usb_kill_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_poison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unpoison_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_unlink_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_suspend_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_resume_wakeups, "_gpl", "");
KSYMTAB_FUNC(usb_wait_anchor_empty_timeout, "_gpl", "");
KSYMTAB_FUNC(usb_get_from_anchor, "_gpl", "");
KSYMTAB_FUNC(usb_scuttle_anchored_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_anchor_empty, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_send, "_gpl", "");
KSYMTAB_FUNC(usb_control_msg_recv, "_gpl", "");
KSYMTAB_FUNC(usb_interrupt_msg, "_gpl", "");
KSYMTAB_FUNC(usb_bulk_msg, "_gpl", "");
KSYMTAB_FUNC(usb_sg_init, "_gpl", "");
KSYMTAB_FUNC(usb_sg_wait, "_gpl", "");
KSYMTAB_FUNC(usb_sg_cancel, "_gpl", "");
KSYMTAB_FUNC(usb_get_descriptor, "_gpl", "");
KSYMTAB_FUNC(usb_string, "_gpl", "");
KSYMTAB_FUNC(usb_cache_string, "_gpl", "");
KSYMTAB_FUNC(usb_get_status, "_gpl", "");
KSYMTAB_FUNC(usb_clear_halt, "_gpl", "");
KSYMTAB_FUNC(usb_reset_endpoint, "_gpl", "");
KSYMTAB_FUNC(usb_set_interface, "_gpl", "");
KSYMTAB_FUNC(usb_reset_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_set_wireless_status, "_gpl", "");
KSYMTAB_FUNC(usb_set_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_driver_set_configuration, "_gpl", "");
KSYMTAB_FUNC(cdc_parse_cdc_header, "", "");
KSYMTAB_FUNC(usb_store_new_id, "_gpl", "");
KSYMTAB_FUNC(usb_show_dynids, "_gpl", "");
KSYMTAB_FUNC(usb_driver_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_driver_release_interface, "_gpl", "");
KSYMTAB_FUNC(usb_match_one_id, "_gpl", "");
KSYMTAB_FUNC(usb_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_device_match_id, "_gpl", "");
KSYMTAB_FUNC(usb_register_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_device_driver, "_gpl", "");
KSYMTAB_FUNC(usb_register_driver, "_gpl", "");
KSYMTAB_FUNC(usb_deregister, "_gpl", "");
KSYMTAB_FUNC(usb_enable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_disable_autosuspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_put_interface_no_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_async, "_gpl", "");
KSYMTAB_FUNC(usb_autopm_get_interface_no_resume, "_gpl", "");
KSYMTAB_FUNC(usb_register_dev, "_gpl", "");
KSYMTAB_FUNC(usb_deregister_dev, "_gpl", "");
KSYMTAB_FUNC(usb_register_notify, "_gpl", "");
KSYMTAB_FUNC(usb_unregister_notify, "_gpl", "");
KSYMTAB_FUNC(usb_choose_configuration, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_alloc_usb3_phy, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_init, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_exit, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_set_mode, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_calibrate, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_connect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_notify_disconnect, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_on, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_power_off, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_suspend, "_gpl", "");
KSYMTAB_FUNC(usb_phy_roothub_resume, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_probe, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_remove, "_gpl", "");
KSYMTAB_FUNC(usb_hcd_pci_shutdown, "_gpl", "");
KSYMTAB_DATA(usb_hcd_pci_pm_ops, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_power_manageable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_port_lpm_incapable, "_gpl", "");
KSYMTAB_FUNC(usb_acpi_set_power_state, "_gpl", "");

SYMBOL_CRC(usb_disabled, 0x19a304ba, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints, 0x93c7edeb, "_gpl");
SYMBOL_CRC(usb_find_common_endpoints_reverse, 0x1e9c590a, "_gpl");
SYMBOL_CRC(usb_check_bulk_endpoints, 0xed6b3f8d, "_gpl");
SYMBOL_CRC(usb_check_int_endpoints, 0x4deb3c23, "_gpl");
SYMBOL_CRC(usb_find_alt_setting, 0xdfe3e892, "_gpl");
SYMBOL_CRC(usb_ifnum_to_if, 0x62044463, "_gpl");
SYMBOL_CRC(usb_altnum_to_altsetting, 0xa1153aeb, "_gpl");
SYMBOL_CRC(usb_find_interface, 0xe4917920, "_gpl");
SYMBOL_CRC(usb_for_each_dev, 0xc72cba36, "_gpl");
SYMBOL_CRC(usb_alloc_dev, 0x4230a8e2, "_gpl");
SYMBOL_CRC(usb_get_dev, 0x843ebdea, "_gpl");
SYMBOL_CRC(usb_put_dev, 0xe402dac5, "_gpl");
SYMBOL_CRC(usb_get_intf, 0x60c44264, "_gpl");
SYMBOL_CRC(usb_put_intf, 0xdd47bb00, "_gpl");
SYMBOL_CRC(usb_intf_get_dma_device, 0xd21c72a4, "_gpl");
SYMBOL_CRC(usb_lock_device_for_reset, 0x3a3de73f, "_gpl");
SYMBOL_CRC(usb_get_current_frame_number, 0x3fc159e2, "_gpl");
SYMBOL_CRC(__usb_get_extra_descriptor, 0xd36760ef, "_gpl");
SYMBOL_CRC(usb_alloc_coherent, 0x36e18c5f, "_gpl");
SYMBOL_CRC(usb_free_coherent, 0x0edf75a8, "_gpl");
SYMBOL_CRC(ehci_cf_port_reset_rwsem, 0xbc9b8588, "_gpl");
SYMBOL_CRC(usb_wakeup_notification, 0x2fa98dc6, "_gpl");
SYMBOL_CRC(usb_hub_clear_tt_buffer, 0x1afe2e24, "_gpl");
SYMBOL_CRC(usb_hub_claim_port, 0x309b7f49, "_gpl");
SYMBOL_CRC(usb_hub_release_port, 0xd7739d20, "_gpl");
SYMBOL_CRC(usb_set_device_state, 0x11326cfe, "_gpl");
SYMBOL_CRC(usb_disable_ltm, 0x52d8c9c8, "_gpl");
SYMBOL_CRC(usb_enable_ltm, 0x9afa973d, "_gpl");
SYMBOL_CRC(usb_wakeup_enabled_descendants, 0x8839d329, "_gpl");
SYMBOL_CRC(usb_root_hub_lost_power, 0x2d090760, "_gpl");
SYMBOL_CRC(usb_disable_lpm, 0x71af8488, "_gpl");
SYMBOL_CRC(usb_unlocked_disable_lpm, 0x258fa8da, "_gpl");
SYMBOL_CRC(usb_enable_lpm, 0xb98dda7d, "_gpl");
SYMBOL_CRC(usb_unlocked_enable_lpm, 0xf9167812, "_gpl");
SYMBOL_CRC(usb_ep0_reinit, 0x5930d3eb, "_gpl");
SYMBOL_CRC(usb_reset_device, 0xd4e8f9c8, "_gpl");
SYMBOL_CRC(usb_queue_reset_device, 0xf191565b, "_gpl");
SYMBOL_CRC(usb_hub_find_child, 0x91e92272, "_gpl");
SYMBOL_CRC(usb_hcds_loaded, 0xc17515d7, "_gpl");
SYMBOL_CRC(usb_bus_idr, 0x790be0b9, "_gpl");
SYMBOL_CRC(usb_bus_idr_lock, 0xae0ecf40, "_gpl");
SYMBOL_CRC(usb_hcd_poll_rh_status, 0x82fde253, "_gpl");
SYMBOL_CRC(usb_hcd_start_port_resume, 0x0cea77cf, "_gpl");
SYMBOL_CRC(usb_hcd_end_port_resume, 0xe374cae8, "_gpl");
SYMBOL_CRC(usb_calc_bus_time, 0x7e64181d, "_gpl");
SYMBOL_CRC(usb_hcd_link_urb_to_ep, 0xca02cd7f, "_gpl");
SYMBOL_CRC(usb_hcd_check_unlink_urb, 0xb2e46283, "_gpl");
SYMBOL_CRC(usb_hcd_unlink_urb_from_ep, 0xb86dd785, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_setup_for_dma, 0x317cacb8, "_gpl");
SYMBOL_CRC(usb_hcd_unmap_urb_for_dma, 0xbe6e98b8, "_gpl");
SYMBOL_CRC(usb_hcd_map_urb_for_dma, 0x849dd1f3, "_gpl");
SYMBOL_CRC(usb_hcd_giveback_urb, 0xb4bb7fea, "_gpl");
SYMBOL_CRC(usb_alloc_streams, 0xec1d4539, "_gpl");
SYMBOL_CRC(usb_free_streams, 0x5c0a5fe9, "_gpl");
SYMBOL_CRC(usb_hcd_resume_root_hub, 0xba5e279c, "_gpl");
SYMBOL_CRC(usb_bus_start_enum, 0x912dd4a4, "_gpl");
SYMBOL_CRC(usb_hcd_irq, 0x70cf032f, "_gpl");
SYMBOL_CRC(usb_hc_died, 0x56b5898b, "_gpl");
SYMBOL_CRC(__usb_create_hcd, 0xbd872e2d, "_gpl");
SYMBOL_CRC(usb_create_shared_hcd, 0x00a32162, "_gpl");
SYMBOL_CRC(usb_create_hcd, 0xfa46def6, "_gpl");
SYMBOL_CRC(usb_get_hcd, 0x013c153c, "_gpl");
SYMBOL_CRC(usb_put_hcd, 0xb83b5e41, "_gpl");
SYMBOL_CRC(usb_hcd_is_primary_hcd, 0xe09e4c5c, "_gpl");
SYMBOL_CRC(usb_add_hcd, 0x6222b01a, "_gpl");
SYMBOL_CRC(usb_remove_hcd, 0x230a8738, "_gpl");
SYMBOL_CRC(usb_hcd_platform_shutdown, 0xab2103dd, "_gpl");
SYMBOL_CRC(usb_hcd_setup_local_mem, 0x88811d78, "_gpl");
SYMBOL_CRC(usb_mon_register, 0x0c3a7974, "_gpl");
SYMBOL_CRC(usb_mon_deregister, 0xfed11ed1, "_gpl");
SYMBOL_CRC(usb_init_urb, 0x503cffed, "_gpl");
SYMBOL_CRC(usb_alloc_urb, 0x47388fe2, "_gpl");
SYMBOL_CRC(usb_free_urb, 0x9135baf3, "_gpl");
SYMBOL_CRC(usb_get_urb, 0xae828d32, "_gpl");
SYMBOL_CRC(usb_anchor_urb, 0x85b1aa00, "_gpl");
SYMBOL_CRC(usb_unanchor_urb, 0xfadc8595, "_gpl");
SYMBOL_CRC(usb_pipe_type_check, 0x0415030c, "_gpl");
SYMBOL_CRC(usb_urb_ep_type_check, 0x5449061c, "_gpl");
SYMBOL_CRC(usb_submit_urb, 0x32dac09a, "_gpl");
SYMBOL_CRC(usb_unlink_urb, 0x8634b1b0, "_gpl");
SYMBOL_CRC(usb_kill_urb, 0x6a3442e2, "_gpl");
SYMBOL_CRC(usb_poison_urb, 0x02c2f460, "_gpl");
SYMBOL_CRC(usb_unpoison_urb, 0x16512862, "_gpl");
SYMBOL_CRC(usb_block_urb, 0xee2d7c0b, "_gpl");
SYMBOL_CRC(usb_kill_anchored_urbs, 0x962c8ae1, "_gpl");
SYMBOL_CRC(usb_poison_anchored_urbs, 0x842f046d, "_gpl");
SYMBOL_CRC(usb_unpoison_anchored_urbs, 0x86b13d2a, "_gpl");
SYMBOL_CRC(usb_unlink_anchored_urbs, 0x933f75e0, "_gpl");
SYMBOL_CRC(usb_anchor_suspend_wakeups, 0x79bc842c, "_gpl");
SYMBOL_CRC(usb_anchor_resume_wakeups, 0x40267068, "_gpl");
SYMBOL_CRC(usb_wait_anchor_empty_timeout, 0x407af304, "_gpl");
SYMBOL_CRC(usb_get_from_anchor, 0x758c5778, "_gpl");
SYMBOL_CRC(usb_scuttle_anchored_urbs, 0x807766ea, "_gpl");
SYMBOL_CRC(usb_anchor_empty, 0x7e8d8619, "_gpl");
SYMBOL_CRC(usb_control_msg, 0xba1d8f57, "_gpl");
SYMBOL_CRC(usb_control_msg_send, 0xe46022c8, "_gpl");
SYMBOL_CRC(usb_control_msg_recv, 0x364274d5, "_gpl");
SYMBOL_CRC(usb_interrupt_msg, 0x721c18c2, "_gpl");
SYMBOL_CRC(usb_bulk_msg, 0x5ea8d45d, "_gpl");
SYMBOL_CRC(usb_sg_init, 0xcce45867, "_gpl");
SYMBOL_CRC(usb_sg_wait, 0x302231b5, "_gpl");
SYMBOL_CRC(usb_sg_cancel, 0x9d761c05, "_gpl");
SYMBOL_CRC(usb_get_descriptor, 0x3e9aa591, "_gpl");
SYMBOL_CRC(usb_string, 0x170a2f0d, "_gpl");
SYMBOL_CRC(usb_cache_string, 0x05470c6d, "_gpl");
SYMBOL_CRC(usb_get_status, 0x3631c8f0, "_gpl");
SYMBOL_CRC(usb_clear_halt, 0x7e0a18c4, "_gpl");
SYMBOL_CRC(usb_reset_endpoint, 0x62cfc729, "_gpl");
SYMBOL_CRC(usb_set_interface, 0x8a3c511c, "_gpl");
SYMBOL_CRC(usb_reset_configuration, 0xf31cb4c6, "_gpl");
SYMBOL_CRC(usb_set_wireless_status, 0x642c1b07, "_gpl");
SYMBOL_CRC(usb_set_configuration, 0x0fba00fd, "_gpl");
SYMBOL_CRC(usb_driver_set_configuration, 0xb297a6a0, "_gpl");
SYMBOL_CRC(cdc_parse_cdc_header, 0x41446d00, "");
SYMBOL_CRC(usb_store_new_id, 0x149e36a5, "_gpl");
SYMBOL_CRC(usb_show_dynids, 0x7f16e2af, "_gpl");
SYMBOL_CRC(usb_driver_claim_interface, 0x0632daa5, "_gpl");
SYMBOL_CRC(usb_driver_release_interface, 0x3113efc6, "_gpl");
SYMBOL_CRC(usb_match_one_id, 0x79a2fa94, "_gpl");
SYMBOL_CRC(usb_match_id, 0x2dc39aab, "_gpl");
SYMBOL_CRC(usb_device_match_id, 0x63b5bf30, "_gpl");
SYMBOL_CRC(usb_register_device_driver, 0x0918985e, "_gpl");
SYMBOL_CRC(usb_deregister_device_driver, 0x8e17de16, "_gpl");
SYMBOL_CRC(usb_register_driver, 0x3fbe862e, "_gpl");
SYMBOL_CRC(usb_deregister, 0x55e964b5, "_gpl");
SYMBOL_CRC(usb_enable_autosuspend, 0x66b134a7, "_gpl");
SYMBOL_CRC(usb_disable_autosuspend, 0xeb3a5055, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface, 0xc8536ee0, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_async, 0x58fadcc3, "_gpl");
SYMBOL_CRC(usb_autopm_put_interface_no_suspend, 0x8b6f4e47, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface, 0xc6ea8812, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_async, 0xcdd07ab4, "_gpl");
SYMBOL_CRC(usb_autopm_get_interface_no_resume, 0x07e73375, "_gpl");
SYMBOL_CRC(usb_register_dev, 0xead663f4, "_gpl");
SYMBOL_CRC(usb_deregister_dev, 0x3bf0190a, "_gpl");
SYMBOL_CRC(usb_register_notify, 0x89bbafc6, "_gpl");
SYMBOL_CRC(usb_unregister_notify, 0x811dc334, "_gpl");
SYMBOL_CRC(usb_choose_configuration, 0x16c87af1, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc, 0xed896980, "_gpl");
SYMBOL_CRC(usb_phy_roothub_alloc_usb3_phy, 0xf260c4e9, "_gpl");
SYMBOL_CRC(usb_phy_roothub_init, 0xc93ee1e7, "_gpl");
SYMBOL_CRC(usb_phy_roothub_exit, 0xe39d0794, "_gpl");
SYMBOL_CRC(usb_phy_roothub_set_mode, 0x5bdae35b, "_gpl");
SYMBOL_CRC(usb_phy_roothub_calibrate, 0x851e6003, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_connect, 0x193780c4, "_gpl");
SYMBOL_CRC(usb_phy_roothub_notify_disconnect, 0xef6a57e5, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_on, 0x9c803020, "_gpl");
SYMBOL_CRC(usb_phy_roothub_power_off, 0x8c89e3b8, "_gpl");
SYMBOL_CRC(usb_phy_roothub_suspend, 0xe3d0c080, "_gpl");
SYMBOL_CRC(usb_phy_roothub_resume, 0xa0e8569d, "_gpl");
SYMBOL_CRC(usb_hcd_pci_probe, 0x66d2dce5, "_gpl");
SYMBOL_CRC(usb_hcd_pci_remove, 0x06289784, "_gpl");
SYMBOL_CRC(usb_hcd_pci_shutdown, 0x66981db0, "_gpl");
SYMBOL_CRC(usb_hcd_pci_pm_ops, 0x6d9ebf8a, "_gpl");
SYMBOL_CRC(usb_acpi_power_manageable, 0x9eedd2fb, "_gpl");
SYMBOL_CRC(usb_acpi_port_lpm_incapable, 0xf26ee8ad, "_gpl");
SYMBOL_CRC(usb_acpi_set_power_state, 0x3edca418, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc38c83b8, "mod_timer" },
	{ 0x0c58ebd4, "device_create" },
	{ 0x51e23dcf, "noop_llseek" },
	{ 0x825d203c, "sysfs_merge_group" },
	{ 0x7c6bc86c, "phy_notify_disconnect" },
	{ 0xd7ab6398, "device_attach" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfb6eedf9, "power_group_name" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x0fafa8f6, "kernfs_find_and_get_ns" },
	{ 0x316aef7c, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x05d4bed6, "phy_power_on" },
	{ 0x69a17bce, "no_seek_end_llseek" },
	{ 0xe1902a55, "driver_unregister" },
	{ 0x531b604e, "__virt_addr_valid" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x4687146c, "class_unregister" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x1ebf6c2a, "pci_power_names" },
	{ 0x65a51ede, "sysfs_remove_file_from_group" },
	{ 0xa2b99c49, "sysfs_create_group" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x11089ac7, "_ctype" },
	{ 0x7d8c337c, "device_register" },
	{ 0x795a5437, "acpi_get_physical_device_location" },
	{ 0x1f863ef9, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0xaae8ab0e, "acpi_bus_power_manageable" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0xa27a3c45, "device_bind_driver" },
	{ 0xdbdf6c92, "ioport_resource" },
	{ 0xfb578fc5, "memset" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0x0257f912, "system_bh_highpri_wq" },
	{ 0x8fc7804c, "unregister_acpi_bus_type" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5db6aae4, "device_match_devt" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0xf27179d4, "pci_set_master" },
	{ 0x25974000, "wait_for_completion" },
	{ 0xbefa51a3, "gen_pool_add_owner" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x16b45279, "pm_runtime_no_callbacks" },
	{ 0x89e7d780, "phy_power_off" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xf262b00d, "devm_gen_pool_create" },
	{ 0x668b19a1, "down_read" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x579ac311, "dev_pm_qos_flags" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xcb733bf2, "acpi_bus_set_power" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0xe4cb2bf4, "pv_ops" },
	{ 0xb830ec61, "sysfs_remove_group" },
	{ 0x2e9df784, "phy_set_mode_ext" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb4aa32bb, "fwnode_find_reference" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ba87830, "_dev_notice" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0xa3d48899, "pm_runtime_forbid" },
	{ 0x4ece3615, "blocking_notifier_chain_unregister" },
	{ 0xbb3e69f2, "dma_free_attrs" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x0fa4a9fe, "pm_runtime_allow" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0xcde5401e, "__pm_runtime_resume" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x282cdabc, "usb_led_activity" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x182d16f6, "acpi_fetch_acpi_dev" },
	{ 0xd875af27, "param_ops_bool" },
	{ 0xb89b6e6b, "guid_parse" },
	{ 0x726bc3c7, "wait_for_completion_killable_timeout" },
	{ 0x7d64ff90, "kernfs_put" },
	{ 0x060ba97c, "gen_pool_free_owner" },
	{ 0xd92deb6b, "acpi_evaluate_object" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2453521d, "inode_set_ctime_current" },
	{ 0xec8da7cb, "__register_chrdev" },
	{ 0x8d1d5a51, "sysfs_break_active_protection" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x46f9df41, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x43399721, "kobject_uevent" },
	{ 0xddc7dfa9, "debugfs_create_file_full" },
	{ 0x571cda95, "device_pm_wait_for_dev" },
	{ 0x43be98a7, "pci_disable_device" },
	{ 0x2dd5e9d5, "kill_pid_usb_asyncio" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x66de4522, "dma_mmap_attrs" },
	{ 0x00d4c500, "usb_decode_interval" },
	{ 0xe9f08078, "usb_hcd_amd_remote_wakeup_quirk" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xb46b05c7, "dma_unmap_sg_attrs" },
	{ 0xdd18a993, "acpi_check_dsm" },
	{ 0xb6be56b8, "dev_pm_qos_add_request" },
	{ 0x55e926dd, "pm_runtime_barrier" },
	{ 0x787927b4, "__pm_runtime_suspend" },
	{ 0x5acdfe87, "usb_debug_root" },
	{ 0x36b0a3ab, "component_add" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0xaf57f617, "set_primary_fwnode" },
	{ 0x5b7b4267, "device_release_driver" },
	{ 0x754d539c, "strlen" },
	{ 0xb949ae9f, "__pm_runtime_use_autosuspend" },
	{ 0x77358855, "iomem_resource" },
	{ 0x6730b2b5, "phy_calibrate" },
	{ 0x7771a6b9, "param_ops_int" },
	{ 0xc7ab07c8, "_dev_printk" },
	{ 0xf3d39209, "dev_pm_qos_expose_flags" },
	{ 0xda892744, "__pm_runtime_disable" },
	{ 0x4de17ab3, "usb_state_string" },
	{ 0x85ef4b05, "dev_pm_qos_remove_request" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xe54eafed, "device_link_add" },
	{ 0x1230ebc5, "pci_free_irq_vectors" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x53b954a2, "up_read" },
	{ 0x897bb07c, "driver_register" },
	{ 0x363fdb13, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xce437b74, "class_register" },
	{ 0xff192d56, "__pm_runtime_idle" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf9a482f9, "msleep" },
	{ 0x369a1ae0, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x0f46f156, "__dev_fwnode" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xe743a7f3, "cdev_del" },
	{ 0x1dee25d4, "device_remove_file" },
	{ 0x101b3a60, "bus_register" },
	{ 0x2d4e4701, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x26c481fa, "phy_init" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0x8bf09389, "phy_notify_connect" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x1a146ec3, "usb_ep_type_string" },
	{ 0xca3b113a, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x760a0f4f, "yield" },
	{ 0x7d24ff47, "device_set_wakeup_enable" },
	{ 0x89019d1a, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xfada7aad, "is_acpi_device_node" },
	{ 0x99a628af, "device_set_wakeup_capable" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe7433c14, "device_set_of_node_from_dev" },
	{ 0xac074907, "param_ops_uint" },
	{ 0x06ab1647, "dma_pool_create" },
	{ 0x99ed2f86, "bus_unregister_notifier" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe891714c, "pci_enable_device" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xb28e899d, "devm_memremap" },
	{ 0xec300f75, "dev_set_name" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb0e602eb, "memmove" },
	{ 0xda0f7e82, "pci_alloc_irq_vectors" },
	{ 0x5d74ac72, "param_get_string" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x55ea19dd, "dmam_alloc_attrs" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0xc9390a42, "driver_remove_file" },
	{ 0x48bc4d1c, "sysfs_add_file_to_group" },
	{ 0xd8e99ff5, "system_bh_wq" },
	{ 0x743138b5, "driver_attach" },
	{ 0x73c15135, "device_unregister" },
	{ 0x9e27dd18, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xada31e57, "gen_pool_dma_alloc_align" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xde258382, "pci_get_device" },
	{ 0xd287bbac, "dma_unmap_page_attrs" },
	{ 0x96848186, "scnprintf" },
	{ 0x51d0606d, "sysfs_unbreak_active_protection" },
	{ 0x444cc1d7, "pci_dev_run_wake" },
	{ 0xdc32b15b, "devm_ioremap" },
	{ 0x232a7b43, "pci_prepare_to_sleep" },
	{ 0x61ec7851, "device_initialize" },
	{ 0x6128b5fc, "__printk_ratelimit" },
	{ 0xa5411174, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37592508, "component_del" },
	{ 0x6f6d4b72, "remap_pfn_range" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x96969306, "kobject_get_path" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x16d1fd20, "acpi_find_child_by_adr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x000f23d4, "bus_for_each_drv" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x47073b29, "pci_irq_vector" },
	{ 0x323478c8, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbe8f871b, "kernfs_notify" },
	{ 0x0907d14d, "blocking_notifier_chain_register" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x619c64fc, "param_set_copystring" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3150bea2, "__put_cred" },
	{ 0xa568a633, "__suspend_report_result" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xa13da026, "dev_driver_string" },
	{ 0x486075c8, "gen_pool_dma_alloc" },
	{ 0x57bc7aea, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9188d85f, "__pm_runtime_set_status" },
	{ 0x9cec36fd, "dma_map_page_attrs" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0x8e046949, "__devm_request_region" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xb71b81f8, "pm_wakeup_dev_event" },
	{ 0x801b231e, "device_reprobe" },
	{ 0x25a277c5, "register_acpi_bus_type" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x823eae06, "blocking_notifier_call_chain" },
	{ 0x6142d610, "acpi_find_child_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7f1c33da, "debugfs_lookup_and_remove" },
	{ 0x209af024, "put_device" },
	{ 0xc4589958, "pm_runtime_enable" },
	{ 0xa916b694, "strnlen" },
	{ 0x2216b4b8, "driver_create_file" },
	{ 0x7d59dd46, "pm_wq" },
	{ 0x9c9bc351, "phy_exit" },
	{ 0xf75f7edc, "bus_register_notifier" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb2c070d3, "bus_for_each_dev" },
	{ 0x9f984513, "strrchr" },
	{ 0x65afb4f2, "_dev_info" },
	{ 0xc6fda872, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb5ae3243, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x079d2483, "device_wakeup_disable" },
	{ 0x026047bb, "compat_ptr_ioctl" },
	{ 0x097ab8bb, "cdev_add" },
	{ 0x80560d2a, "device_create_file" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xb2a19451, "kobject_uevent_env" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xae5a04bb, "acpi_evaluate_dsm" },
	{ 0xfbf22110, "sysfs_update_group" },
	{ 0x5016e24c, "sysfs_unmerge_group" },
	{ 0x8f202e20, "bus_unregister" },
	{ 0x57bc19d2, "down_write" },
	{ 0x35363682, "_dev_err" },
	{ 0x258c877b, "device_wakeup_enable" },
	{ 0xce807a25, "up_write" },
	{ 0x632996ee, "bus_find_device" },
	{ 0x1e64aecd, "device_add" },
	{ 0xa6e7ddd1, "sysfs_remove_link" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0x019b9c14, "init_uts_ns" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("usb:v0424p5534d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v04B4p6570d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05E3p*d*dc*dsc*dp*ic09isc*ip*in*");
MODULE_ALIAS("usb:v0451p8142d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0451p8140d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4913d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4914d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0424p4915d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc09dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v*p*d*dc*dsc*dp*ic09isc*ip*in*");

MODULE_INFO(srcversion, "9DA4272D8FB611E827D4D15");
