#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_serial_claim_interface, "_gpl", "");
KSYMTAB_FUNC(usb_serial_port_softint, "_gpl", "");
KSYMTAB_FUNC(usb_serial_suspend, "", "");
KSYMTAB_FUNC(usb_serial_resume, "", "");
KSYMTAB_FUNC(__usb_serial_register_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_deregister_drivers, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_open, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_close, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_start, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_chars_in_buffer, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_wait_until_sent, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_submit_read_urbs, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_process_read_urb, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_read_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_write_bulk_callback, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_throttle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_unthrottle, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_tiocmiwait, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_get_icount, "_gpl", "");
KSYMTAB_FUNC(usb_serial_handle_dcd_change, "_gpl", "");
KSYMTAB_FUNC(usb_serial_generic_resume, "_gpl", "");

SYMBOL_CRC(usb_serial_claim_interface, 0xd5356f70, "_gpl");
SYMBOL_CRC(usb_serial_port_softint, 0x52c082c3, "_gpl");
SYMBOL_CRC(usb_serial_suspend, 0x1d27f60f, "");
SYMBOL_CRC(usb_serial_resume, 0xb91b1507, "");
SYMBOL_CRC(__usb_serial_register_drivers, 0x520d87af, "_gpl");
SYMBOL_CRC(usb_serial_deregister_drivers, 0xd286d6e5, "_gpl");
SYMBOL_CRC(usb_serial_generic_open, 0x6ba790b5, "_gpl");
SYMBOL_CRC(usb_serial_generic_close, 0xaa086d52, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_start, 0x5987214f, "_gpl");
SYMBOL_CRC(usb_serial_generic_write, 0xac94e4d6, "_gpl");
SYMBOL_CRC(usb_serial_generic_chars_in_buffer, 0x5c50c8f5, "_gpl");
SYMBOL_CRC(usb_serial_generic_wait_until_sent, 0x74c08ab5, "_gpl");
SYMBOL_CRC(usb_serial_generic_submit_read_urbs, 0x0b9cedcd, "_gpl");
SYMBOL_CRC(usb_serial_generic_process_read_urb, 0xf469eba4, "_gpl");
SYMBOL_CRC(usb_serial_generic_read_bulk_callback, 0x01a6525f, "_gpl");
SYMBOL_CRC(usb_serial_generic_write_bulk_callback, 0x9b35bd2f, "_gpl");
SYMBOL_CRC(usb_serial_generic_throttle, 0xba682a85, "_gpl");
SYMBOL_CRC(usb_serial_generic_unthrottle, 0x47179789, "_gpl");
SYMBOL_CRC(usb_serial_generic_tiocmiwait, 0x1a48a730, "_gpl");
SYMBOL_CRC(usb_serial_generic_get_icount, 0xb7b14f05, "_gpl");
SYMBOL_CRC(usb_serial_handle_dcd_change, 0x0852fbcb, "_gpl");
SYMBOL_CRC(usb_serial_generic_resume, 0xaa6dc835, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60c44264, "usb_get_intf" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3113efc6, "usb_driver_release_interface" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0xe402dac5, "usb_put_dev" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x209af024, "put_device" },
	{ 0x843ebdea, "usb_get_dev" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x67b27ec1, "tty_std_termios" },
	{ 0x32dac09a, "usb_submit_urb" },
	{ 0x65afb4f2, "_dev_info" },
	{ 0x3b654193, "tty_unregister_device" },
	{ 0xc6cbbc89, "capable" },
	{ 0xc6fda872, "module_put" },
	{ 0x5dffcfa3, "tty_port_tty_wakeup" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x2dc39aab, "usb_match_id" },
	{ 0x149e36a5, "usb_store_new_id" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8f202e20, "bus_unregister" },
	{ 0x35363682, "_dev_err" },
	{ 0x1e64aecd, "device_add" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x417783b0, "tty_ldisc_ref" },
	{ 0xa3cd3ddc, "tty_vhangup" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x35af8106, "__tty_insert_flip_string_flags" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc6acde02, "tty_port_destroy" },
	{ 0x8ea0f9ec, "tty_port_init" },
	{ 0x0632daa5, "usb_driver_claim_interface" },
	{ 0xeefc9bb2, "seq_putc" },
	{ 0x02c2f460, "usb_poison_urb" },
	{ 0x16512862, "usb_unpoison_urb" },
	{ 0xe1902a55, "driver_unregister" },
	{ 0xfec9eb2c, "tty_port_register_device" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x7d869fe5, "tty_ldisc_deref" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x55e964b5, "usb_deregister" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x1f863ef9, "device_del" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xe0dbbc7d, "tty_port_close" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc6ea8812, "usb_autopm_get_interface" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf573ed3b, "tty_register_driver" },
	{ 0x8504bccc, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x6a3442e2, "usb_kill_urb" },
	{ 0xec24d97c, "usb_dynids_lock" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xd2cf3084, "tty_port_hangup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x965079a6, "seq_printf" },
	{ 0x47ef0e90, "tty_port_open" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x897bb07c, "driver_register" },
	{ 0xfbb057c4, "tty_driver_kref_put" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x101b3a60, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x239cbb40, "tty_port_tty_get" },
	{ 0xdd47bb00, "usb_put_intf" },
	{ 0x47388fe2, "usb_alloc_urb" },
	{ 0xc8536ee0, "usb_autopm_put_interface" },
	{ 0x89019d1a, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9135baf3, "usb_free_urb" },
	{ 0x20978fb9, "idr_find" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0xec300f75, "dev_set_name" },
	{ 0xb488b32c, "param_ops_ushort" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x23d3bfb7, "tty_flip_buffer_push" },
	{ 0x743138b5, "driver_attach" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc8a1a624, "tty_kref_put" },
	{ 0x3fbe862e, "usb_register_driver" },
	{ 0x79a2fa94, "usb_match_one_id" },
	{ 0x61ec7851, "device_initialize" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x0bd394d8, "tty_termios_baud_rate" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0x777ce780, "__tty_alloc_driver" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xd112d4ca, "tty_standard_install" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f16e2af, "usb_show_dynids" },
	{ 0x0ffe3427, "tty_hangup" },
	{ 0xb48645d6, "tty_unregister_driver" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0xe816048f, "tty_termios_copy_hw" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "usbcore");


MODULE_INFO(srcversion, "EA806393B45A62B7E3C325D");
