#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd06d92d3, "inode_newsize_ok" },
	{ 0xca96b389, "d_drop" },
	{ 0x1c95dcd3, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xaaf906a3, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x01000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x6251205a, "crypto_skcipher_decrypt" },
	{ 0x83e92bc7, "truncate_inode_pages_final" },
	{ 0xbc3639dd, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xf0fb9390, "__filemap_set_wb_err" },
	{ 0x0eeae3e8, "key_type_encrypted" },
	{ 0x2744ec4d, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0xe8ef9672, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0xf381e028, "const_pcpu_hot" },
	{ 0xb33dcdd3, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xa9932ae1, "inode_init_once" },
	{ 0x7bd5b0f6, "file_write_and_wait_range" },
	{ 0x850e5a9a, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x20d4ad54, "vfs_get_link" },
	{ 0x9d84b736, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0x0a8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xfec70f67, "generic_file_read_iter" },
	{ 0x51e23dcf, "noop_llseek" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe164ed23, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x64d71856, "kmem_cache_alloc_lru_noprof" },
	{ 0x8a3771c9, "lock_rename" },
	{ 0x4942c251, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x97952ee1, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xb4e7948e, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xd88d7709, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xa2b99c49, "sysfs_create_group" },
	{ 0x25642380, "release_dentry_name_snapshot" },
	{ 0x157f4a2f, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xd4d2f3c9, "folio_end_read" },
	{ 0x2407982e, "block_dirty_folio" },
	{ 0x19ab9da6, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x4eb19a45, "kern_path" },
	{ 0xb22690e3, "vfs_set_acl" },
	{ 0xb09ceeb4, "misc_register" },
	{ 0x5a01a3e3, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x63ed5795, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x1b7c73cc, "key_validate" },
	{ 0xd9c0fcec, "__kmem_cache_create_args" },
	{ 0x9515ea65, "unlock_rename" },
	{ 0x17b12248, "vfs_rmdir" },
	{ 0x1f5575fd, "writeback_iter" },
	{ 0xf434f385, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x2994eb73, "truncate_setsize" },
	{ 0x5de094fb, "kthread_create_on_node" },
	{ 0xb830ec61, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x64409a83, "vfs_symlink" },
	{ 0x01755d35, "super_setup_bdi" },
	{ 0x42dc741f, "igrab" },
	{ 0x516436af, "generic_read_dir" },
	{ 0x15fa7700, "d_instantiate_new" },
	{ 0xb9ea2bb9, "d_add" },
	{ 0x57a41152, "vfs_fsync" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x1759ca9f, "vfs_mknod" },
	{ 0x36d4e320, "init_user_ns" },
	{ 0x9d601b2b, "dentry_open" },
	{ 0x9185d59c, "request_key_tag" },
	{ 0x9867e01d, "__folio_put" },
	{ 0xd899d986, "vfs_fileattr_set" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x6ef73cf8, "set_anon_super_fc" },
	{ 0x56470118, "__warn_printk" },
	{ 0x965079a6, "seq_printf" },
	{ 0x4b286a55, "dput" },
	{ 0x8271e780, "take_dentry_name_snapshot" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x0c66ac9d, "deactivate_locked_super" },
	{ 0xa805e83d, "touch_atime" },
	{ 0x778dea8e, "lookup_one_len_unlocked" },
	{ 0x0c8dd2ea, "vfs_llseek" },
	{ 0xf2928311, "alloc_pages_noprof" },
	{ 0x05064950, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xfc1d185f, "__fs_parse" },
	{ 0x95ae1f52, "filemap_splice_read" },
	{ 0xbd292aad, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x418944d6, "key_type_user" },
	{ 0x766ea350, "kill_anon_super" },
	{ 0xe00ff0a8, "vfs_getattr_nosec" },
	{ 0xc1451b58, "iget5_locked" },
	{ 0x6a39e65f, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xf1d2b2bf, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0x7771a6b9, "param_ops_int" },
	{ 0x00f0cf3f, "inode_permission" },
	{ 0x77aa2a26, "mntget" },
	{ 0xc7a079d0, "crypto_alloc_shash" },
	{ 0xd67ae64e, "__mark_inode_dirty" },
	{ 0x66c0a2f9, "generic_file_llseek" },
	{ 0xb3f53352, "make_bad_inode" },
	{ 0xaa75a65f, "vfs_get_acl" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf7c4ce28, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0xe22020ac, "inode_set_ctime_to_ts" },
	{ 0x8fbc56ae, "iget_failed" },
	{ 0x62535750, "kernel_write" },
	{ 0x9d87ae2e, "kmem_cache_destroy" },
	{ 0xf75a350a, "kobject_put" },
	{ 0x3b691e55, "vfs_create" },
	{ 0x570385e0, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x3d269703, "crypto_skcipher_encrypt" },
	{ 0x0b900666, "generic_fillattr" },
	{ 0x94fb7d66, "setattr_prepare" },
	{ 0xea1a6bce, "filemap_migrate_folio" },
	{ 0xb45738b1, "clear_nlink" },
	{ 0x3be54e09, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x97dc4f34, "d_instantiate" },
	{ 0x1b82fef3, "misc_deregister" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xc44210bd, "clear_inode" },
	{ 0x2eddfa44, "notify_change" },
	{ 0xac074907, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4cd42e3c, "vfs_rename" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x320f4514, "fs_param_is_string" },
	{ 0xee77ab27, "folio_unlock" },
	{ 0x4f282b7a, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x6e3320a3, "init_special_inode" },
	{ 0x61694428, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x063260f3, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x733a3d86, "d_make_root" },
	{ 0x403f78d8, "read_cache_folio" },
	{ 0xeb329cc8, "sget_fc" },
	{ 0x6ba9a253, "d_splice_alias" },
	{ 0x8573a2ba, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x054496b4, "schedule_timeout_interruptible" },
	{ 0x7442b5dd, "iput" },
	{ 0x51016a64, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0x68a9875f, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xf42a5a58, "crypto_skcipher_setkey" },
	{ 0xc4b5d801, "fsstack_copy_attr_all" },
	{ 0x4bec6624, "register_filesystem" },
	{ 0x2efac18a, "vfs_unlink" },
	{ 0x07ac518e, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x884a3dc3, "wake_up_process" },
	{ 0x3e0e8e1a, "vfs_mkdir" },
	{ 0x4cf56747, "crypto_destroy_tfm" },
	{ 0x7eab1a13, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x62578b4b, "fs_param_is_u32" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "CD9D086FAF778D4B94BC0A7");
