#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt5670_jack_suspend, "_gpl", "");
KSYMTAB_FUNC(rt5670_jack_resume, "_gpl", "");
KSYMTAB_FUNC(rt5670_set_jack_detect, "_gpl", "");
KSYMTAB_FUNC(rt5670_sel_asrc_clk_src, "_gpl", "");
KSYMTAB_FUNC(rt5670_components, "_gpl", "");

SYMBOL_CRC(rt5670_jack_suspend, 0x435d3caf, "_gpl");
SYMBOL_CRC(rt5670_jack_resume, 0xae0052fc, "_gpl");
SYMBOL_CRC(rt5670_set_jack_detect, 0x1197f53f, "_gpl");
SYMBOL_CRC(rt5670_sel_asrc_clk_src, 0x0427b996, "_gpl");
SYMBOL_CRC(rt5670_components, 0x2f5ee4db, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x35363682, "_dev_err" },
	{ 0x1428331f, "snd_soc_dapm_put_volsw" },
	{ 0x8d7fa148, "rl6231_get_pre_div" },
	{ 0x2223a9bf, "_dev_warn" },
	{ 0xd4835ef8, "dmi_check_system" },
	{ 0x3c5053a0, "snd_soc_dapm_add_routes" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x75731128, "snd_soc_dapm_kcontrol_dapm" },
	{ 0x3ead03b7, "snd_soc_info_enum_double" },
	{ 0x68d1b8d7, "snd_soc_get_volsw" },
	{ 0xc2b7235b, "regmap_read" },
	{ 0x51e64f7b, "snd_soc_put_volsw" },
	{ 0x99f019f5, "snd_soc_component_update_bits" },
	{ 0x689118b1, "snd_soc_dapm_new_controls" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x70617a04, "rl6231_get_clk_info" },
	{ 0x430a7ed3, "regmap_update_bits_base" },
	{ 0xb2b0b2ba, "snd_soc_dapm_get_volsw" },
	{ 0x19ff6a2e, "i2c_del_driver" },
	{ 0xcd6dab3c, "regmap_register_patch" },
	{ 0x5b1f4c19, "snd_soc_dapm_get_enum_double" },
	{ 0xda892744, "__pm_runtime_disable" },
	{ 0xff192d56, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x3b49bdff, "snd_soc_dapm_put_enum_double" },
	{ 0xbe0bc318, "regcache_cache_only" },
	{ 0x7b7e7eaf, "regcache_sync" },
	{ 0x7292653d, "regmap_write" },
	{ 0xac074907, "param_ops_uint" },
	{ 0xdbd45cd7, "devm_kmalloc" },
	{ 0x226c3a18, "snd_soc_jack_free_gpios" },
	{ 0x99288dce, "snd_soc_component_read" },
	{ 0x5dc92cdf, "rl6231_pll_calc" },
	{ 0xb6a908f2, "snd_soc_jack_add_gpios" },
	{ 0x0e9d33cc, "snd_soc_dapm_disable_pin" },
	{ 0xb935491d, "snd_soc_dapm_force_enable_pin" },
	{ 0x8e983f6a, "snd_soc_put_enum_double" },
	{ 0x05b0e64f, "regcache_mark_dirty" },
	{ 0xee9124b3, "snd_soc_params_to_frame_size" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0xdba4502f, "rl6231_calc_dmic_clk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x6222f1a8, "snd_soc_component_write" },
	{ 0x52efeeab, "snd_soc_dapm_sync" },
	{ 0xc4d4eb83, "devm_snd_soc_register_component" },
	{ 0x7d7327fe, "__devm_regmap_init_i2c" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc4589958, "pm_runtime_enable" },
	{ 0x5c147cb5, "snd_soc_get_enum_double" },
	{ 0x65afb4f2, "_dev_info" },
	{ 0xf4bfb8f0, "i2c_register_driver" },
	{ 0xaad21cb0, "snd_soc_info_volsw" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-rl6231,snd-pcm");

MODULE_ALIAS("acpi*:10EC5670:*");
MODULE_ALIAS("acpi*:10EC5672:*");
MODULE_ALIAS("acpi*:10EC5640:*");
MODULE_ALIAS("i2c:rt5670");
MODULE_ALIAS("i2c:rt5671");
MODULE_ALIAS("i2c:rt5672");

MODULE_INFO(srcversion, "755EA7EF14DC7AB16DDD255");
