#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cnl_ipc4_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_irq_thread, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_send_msg, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(cnl_ipc4_dump, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(sof_cnl_ops, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_FUNC(sof_cnl_ops_init, "", "SND_SOC_SOF_INTEL_CNL");
KSYMTAB_DATA(jsl_chip_info, "", "SND_SOC_SOF_INTEL_CNL");

SYMBOL_CRC(cnl_ipc4_irq_thread, 0xfb15a137, "");
SYMBOL_CRC(cnl_ipc_irq_thread, 0xf89348f2, "");
SYMBOL_CRC(cnl_ipc4_send_msg, 0x1ecf5a4e, "");
SYMBOL_CRC(cnl_ipc_send_msg, 0x14160043, "");
SYMBOL_CRC(cnl_ipc_dump, 0x14298b3e, "");
SYMBOL_CRC(cnl_ipc4_dump, 0x3273877a, "");
SYMBOL_CRC(sof_cnl_ops, 0x8b161051, "");
SYMBOL_CRC(sof_cnl_ops_init, 0x3121cf25, "");
SYMBOL_CRC(jsl_chip_info, 0xf2c5228a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x12823000, "hda_dsp_shutdown" },
	{ 0xb464bdab, "__pci_register_driver" },
	{ 0x30352249, "hda_dsp_disable_interrupts" },
	{ 0xd060c235, "pcpu_hot" },
	{ 0x79e81156, "hda_dsp_cl_boot_firmware" },
	{ 0xadb28984, "hda_dsp_set_power_state_ipc4" },
	{ 0x76b22902, "__SCK__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x2f853517, "__tracepoint_sof_intel_ipc_firmware_initiated" },
	{ 0x09aac06a, "hda_dsp_ipc_get_reply" },
	{ 0xc72bad35, "hda_power_down_dsp" },
	{ 0x9a6bd8f2, "snd_soc_acpi_intel_cfl_sdw_machines" },
	{ 0xd37b3a69, "__dynamic_dev_dbg" },
	{ 0x0c3f01c3, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x4098a87b, "snd_soc_acpi_intel_cml_machines" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x35e33813, "__SCT__tp_func_sof_intel_ipc_firmware_initiated" },
	{ 0x16bbbb91, "__SCT__tp_func_sof_intel_ipc_firmware_response" },
	{ 0xb7d68a78, "sof_hda_common_ops" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xc2a7cb5a, "hda_sdw_check_lcount_common" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7c908b77, "hda_pci_intel_probe" },
	{ 0x85411985, "sof_mailbox_write" },
	{ 0x35363682, "_dev_err" },
	{ 0xd299a135, "snd_sof_dsp_update_bits_forced" },
	{ 0xd956b3d6, "sof_pci_remove" },
	{ 0x6d3ed7ac, "__tracepoint_sof_intel_ipc_firmware_response" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xe91fd5d0, "__SCK__tp_func_sof_intel_ipc_firmware_response" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x0914e152, "hda_set_dai_drv_ops" },
	{ 0x0f9ce9c0, "hda_dsp_set_power_state_ipc3" },
	{ 0x07b00e40, "snd_soc_acpi_intel_cnl_sdw_machines" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x2172f836, "snd_sof_ipc_get_reply" },
	{ 0x7c360f57, "snd_sof_dsp_update_bits" },
	{ 0x1c8092dd, "hda_dsp_post_fw_run" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x89cd5965, "hda_common_enable_sdw_irq" },
	{ 0xfc1dbd7f, "hda_dsp_check_ipc_irq" },
	{ 0xb810b421, "snd_sof_ipc_reply" },
	{ 0xe0dfa306, "cl_dsp_init" },
	{ 0x0c740b23, "hda_ipc4_tx_is_busy" },
	{ 0x57ec5e41, "hda_ops_free" },
	{ 0x69501c89, "snd_soc_acpi_intel_cnl_machines" },
	{ 0x9abc8793, "sof_pci_shutdown" },
	{ 0x505d4de9, "hda_dsp_core_get" },
	{ 0x103e47d4, "__kmalloc_cache_noprof" },
	{ 0x5d5644a0, "hda_sdw_process_wakeen_common" },
	{ 0xa819438a, "snd_soc_acpi_intel_cml_sdw_machines" },
	{ 0x0fcf3c53, "snd_sof_dsp_panic" },
	{ 0xa9699c04, "hda_dsp_ipc4_load_library" },
	{ 0x70775f6f, "hda_ipc_irq_dump" },
	{ 0x4301fd74, "hda_dsp_ipc4_schedule_d0i3_work" },
	{ 0xecedbd0c, "hda_common_check_sdw_irq" },
	{ 0x58e2e33a, "sof_pci_pm" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x1a4383c6, "snd_soc_acpi_intel_cfl_machines" },
	{ 0xb498b403, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x4d497ee0, "hda_sdw_check_wakeen_irq_common" },
	{ 0x18026068, "module_layout" },
};

MODULE_INFO(depends, "snd-sof-intel-hda-common,snd-sof-intel-hda-generic,snd-soc-acpi-intel-match,snd-sof,snd-sof-pci");

MODULE_ALIAS("pci:v00008086d00009DC8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A348sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000002C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d000006C8sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00008086d0000A3F0sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "636D538188C95ADAF6E371D");
